----------------------------------------------------------------------
matthias  Tue Apr 20 12:41:53 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9019

Modified Files:
      Tag: v043pl
	config.l 
Log Message:
icpciMain.h -> icpciExt.h
bool -> int

----------------------------------------------------------------------
matthias  Tue Apr 20 13:56:24 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9080

Modified Files:
      Tag: v043pl
	config.h 
Log Message:
card8 -> u_char

----------------------------------------------------------------------
matthias  Tue Apr 20 14:08:09 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9158

Modified Files:
      Tag: v043pl
	config.y 
Log Message:
icpciMain.h > icpciExt.h
bool -> int
card8 -> u_char
PDEBUG -> ICP_PRINTF

----------------------------------------------------------------------
matthias  Tue Apr 20 14:31:17 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9181

Removed Files:
      Tag: v043pl
	ChangeLog 
Log Message:
this file is now copied from $CVSROOT/CVSROOT

----------------------------------------------------------------------
matthias  Tue Apr 20 14:34:23 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9220

Removed Files:
      Tag: v043pl
	icpci-2.0.33.diff 
Log Message:
the patch file for old stable kernels is now for 2.0.36

----------------------------------------------------------------------
matthias  Tue Apr 20 14:35:14 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9236

Removed Files:
      Tag: v043pl
	icpci-0.4.3.lsm 
Log Message:
the driver version has changed to 0.5.0, so this file is obsolete

----------------------------------------------------------------------
matthias  Tue Apr 20 14:43:52 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9260

Modified Files:
      Tag: v043pl
	README 
Log Message:
the need for make config is respected
a section - how to do AUTOCONFIG - is added
a hint to the mailing list is included

----------------------------------------------------------------------
matthias  Tue Apr 20 14:47:17 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9283

Added Files:
      Tag: v043pl
	icpci-2.0.36.diff 
Log Message:
this file replaces icpci-2.0.33.diff
the kernel has now a autodetection for mem > 64MB
some informational output of the memory usage is added
the bios memsize AND the command line memsize are shrinkt to 960MB

----------------------------------------------------------------------
matthias  Tue Apr 20 14:49:21 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9298

Added Files:
      Tag: v043pl
	icpci-2.2.5.diff 
Log Message:
since this release we support kernel 2.2
both memsize values are validated

----------------------------------------------------------------------
matthias  Tue Apr 20 14:50:06 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9322

Added Files:
      Tag: v043pl
	icpci-0.5.0.lsm 
Log Message:
this file replaces icpci-0.4.3.lsm - date and size are adjusted

----------------------------------------------------------------------
matthias  Tue Apr 20 14:51:06 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv9347

Added Files:
      Tag: v043pl
	cv-m10-vs.cam 
Log Message:
new config file for the JAI CV-M10 in non-interlaced/variable-scan mode

----------------------------------------------------------------------
matthias  Tue Apr 20 14:52:07 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9392

Modified Files:
      Tag: v043pl
	swtrig_icpci.c 
Log Message:
icpciMain.h -> icpciExt.h
bool -> int

----------------------------------------------------------------------
matthias  Tue Apr 20 15:04:46 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9498

Modified Files:
      Tag: v043pl
	test_icpci.c 
Log Message:
icpciMain/Ioctl.h -> icpciExt.h
bool -> int
card8/16 -> u_char/short
PDEBUG -> ICP_PRINTF
structs sigaction are not statically initialized (problems with glibc and 2.2)
mem/bma_buffer have to be < than buffers (>=)
FD_ISSET is tested after select

----------------------------------------------------------------------
matthias  Tue Apr 20 15:08:35 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9555

Removed Files:
      Tag: v043pl
	icpciMain.h 
Log Message:
the contents of this file has splited and moved to icpciExt.h (offical
interface) and icpciInt.h (internal usage); the os-depend things are moved
to icpciOS.h

----------------------------------------------------------------------
matthias  Tue Apr 20 15:09:39 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9571

Removed Files:
      Tag: v043pl
	icpciIoctl.h 
Log Message:
the ioctl number encoding is now in icpciExt.h; the copyin/out union
definition has moved to icpciInt.h

----------------------------------------------------------------------
matthias  Tue Apr 20 15:11:54 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9616

Modified Files:
      Tag: v043pl
	amvsReg.h 
Log Message:
card8/16 -> u_char/short

----------------------------------------------------------------------
matthias  Tue Apr 20 15:12:44 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9639

Modified Files:
      Tag: v043pl
	amdigReg.h 
Log Message:
card8/16 -> u_char/short

----------------------------------------------------------------------
matthias  Tue Apr 20 15:14:02 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9669

Modified Files:
      Tag: v043pl
	ampcvReg.h 
Log Message:
card8/16 u_char/short

----------------------------------------------------------------------
matthias  Tue Apr 20 15:20:31 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9713

Modified Files:
      Tag: v043pl
	amvsReg.c 
Log Message:
icpciMain.h -> icpciOS/Ext/Int.h
card8/16 -> u_char/short
read/writew -> icp_read/writew
icp_errno -> icp.errno
the bug check routines are moved to the os-depending files (osxxxx.c)

----------------------------------------------------------------------
matthias  Tue Apr 20 15:22:43 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9735

Modified Files:
      Tag: v043pl
	amdigReg.c 
Log Message:
icpciMain.h -> icpciOS/Ext/Int.h
card8/16 -> u_char/short
read/writew -> icp_read/writew
icp_errno -> icp.errno
vmalloc/free -> icp_malloc/free(size, PAGED)
the bug check routines are moved to the os-depending files (osxxxx.c)

----------------------------------------------------------------------
matthias  Tue Apr 20 15:25:35 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9758

Modified Files:
      Tag: v043pl
	ampcvReg.c 
Log Message:
icpciMain.h -> icpciOS/Ext/Int.h
card8/16 -> u_char/short
read/writew -> icp_read/writew
icp_errno -> icp.errno
PDEBUGPLL -> ICP_PLL_PRINTF

----------------------------------------------------------------------
matthias  Tue Apr 20 15:30:20 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9793

Modified Files:
      Tag: v043pl
	Makefile 
Log Message:
make config section added (os-depending things are write to .system)
if building the release, ChangeLog is copied from CVSROOT
.orig files are removed at make clean

----------------------------------------------------------------------
matthias  Tue Apr 20 15:34:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9825

Modified Files:
      Tag: v043pl
	icpciAM.c 
Log Message:
icpciMain.h -> icpciOS/Ext/Int.h
icp_errno -> icp.errno
the !init_ok sections from the amxx_init routines have moved to the new
amxx_startup routines
remove 'const' from struct dg_def_cam

----------------------------------------------------------------------
matthias  Tue Apr 20 15:53:22 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9866

Modified Files:
      Tag: v043pl
	icpciMain.c 
Log Message:
definition of struct file_ops has hoved to the osxxxx.c files
the global variables icp_opmode/timeout(complete/cont/first_read are now
part of the global structure
the task/queue/timer/signum/pid are now into the os_private part of the 
global structure
basically all elements of the struct file_ops are splited into a icp_os_
part (in osxxxx.c) and a icp_ part (in this file)
frame_info=/del_timer/wake_up_inter./kill_proc are encapsuleted by icp_...
PDEBUGIRQ -> ICP_IRQ_PRINTF
ENODEV -> ENXIO
icp_attach/detach are now part of init/cleanup_module and have moved to
osxxxx.c
there is a complex version depend handling of the signum/pid variables

----------------------------------------------------------------------
matthias  Tue Apr 20 15:55:13 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9899

Modified Files:
      Tag: v043pl
	icpciReg.h 
Log Message:
card8/16/32 -> u_char/short/long
the ICR/CR_MAP_SIZE defines are no longer needed

----------------------------------------------------------------------
matthias  Tue Apr 20 15:59:14 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9930

Modified Files:
      Tag: v043pl
	icpciReg.c 
Log Message:
icpciMain.h -> icpciOS/Ext/Int.h
card8/16/32 -> u_char/short/long
icp_errno -> icp.errno
PDEBUG -> ICP_PRINTF
read/writel -> icp_read/writel
read/writew -> icp/read/writew
in/outl -> icp_in/outl
in/outw -> icp_in/outw

----------------------------------------------------------------------
matthias  Tue Apr 20 16:07:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9961

Modified Files:
      Tag: v043pl
	icpciIoctl.c 
Log Message:
the former icp_ioctl call has splited into an icp_os_ioctl part and an
ic_ioctl part
all os dependend parts (copyin/copyout, vmalloc/vfree, IOC...) is now in
osxxxx.c
the icp_wait_queue call has renamed to icp_sleep/icp_timeout
ENODEV -> ENXIO

----------------------------------------------------------------------
matthias  Tue Apr 20 16:14:50 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9980

Added Files:
      Tag: v043pl
	osLx20.c osLx22.c 
Log Message:
these are the new files to encapsulate the os-dependend behavior of the
linux 2.0 and 2.2 kernels
there are the init/cleanup_module routines, the os-dependend parts of the
init routines (os_init, os_pci_init, os_map_init,...), and the general routines
(wakeup, sleep, splhigh, spllow...)
some routines are inline and defined in icpciOS.h
struct file_ops defines routines, witch call after extracting some
information from struct file, inode the icp_ routines in icpciMain/Ioctl.c
the module specific variables are now in this files

----------------------------------------------------------------------
matthias  Tue Apr 20 16:17:27 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10011

Added Files:
      Tag: v043pl
	icpciOS.h 
Log Message:
function prototypes of the os fuctions (defined in osxxxx.c)
system include files
definition of the os_private structure
definition of sone inline fuctions (especially low level io routines)

----------------------------------------------------------------------
matthias  Tue Apr 20 16:19:44 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10034

Added Files:
      Tag: v043pl
	icpciExt.h 
Log Message:
offical driver interface to user level programms, including the ioctl
number encoding, camera structure definition and some useful defines
many things have moved from icpciMain.h into this file

----------------------------------------------------------------------
matthias  Tue Apr 20 16:24:37 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10056

Added Files:
      Tag: v043pl
	icpciInt.h 
Log Message:
internal driver structures
definition of the global driver structure
typedefs of the interrupt values and the opmode types
the pci_t structure has split into a smaller one and a new icp_map_t structure
ALL static variables from ALL files are now into the main driver structure
an os_private field has been added

----------------------------------------------------------------------
matthias  Tue Apr 20 17:27:52 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10089

Modified Files:
      Tag: v043pl
	icpciAux.c 
Log Message:
bug workaround functions are now in this file
decode_minor is split into an os-dep part and an general part
icp_wakeup has been renamed to icp_timeout and is also splited
in enable_irq the PCVision functions are encapsulated with if module = PCV
save/restore_flags have benn renamed to splhigh/low
pci_init has been splited into pci_init and map_init with there common
and os-depending parts
cap_init now calls the nes amxx_startup functions at init time
mem/bma_clear now work on all buffers, because they are called from 
mem/bma_init
all direct acces to the on-board memory is encapsulated by functions
like memset_io, memcpy_io,...
the mem buffers are now aligned to 4096 byte boundaries, so we have
in multi-snap mode (bma_copy) a different src offset (in this mode
the images are CONTIGNUOUS into the memory

----------------------------------------------------------------------
matthias  Tue Apr 20 17:34:03 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10479

Modified Files:
      Tag: v043pl
	icpciIoctl.c 
Log Message:
case AMFA/C1: branches deleted (default branch handles this correctly)

----------------------------------------------------------------------
matthias  Tue Apr 20 17:34:14 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10493

Modified Files:
      Tag: v043pl
	icpciMain.c 
Log Message:
case AMFA/C1: branches deleted (default branch handles this correctly)

----------------------------------------------------------------------
matthias  Tue Apr 20 18:17:24 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10891

Modified Files:
      Tag: v043pl
	icpciMain.c icpciIoctl.c icpciOS.h osLx20.c osLx22.c 
Log Message:
the calls to os_private->signum/pid/task are now encapsuleted by
assign/deassign_task/signal and task_assigned, check_blocked, kill_proc

----------------------------------------------------------------------
matthias  Thu Apr 22 08:16:13 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1658

Modified Files:
      Tag: v043pl
	Makefile 
Log Message:
minor changes

----------------------------------------------------------------------
matthias  Thu Apr 22 08:18:54 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1692

Modified Files:
      Tag: v043pl
	ampcvReg.c 
Log Message:
replace the register access by pointer derecferencing with icp_readw/writew
functions

----------------------------------------------------------------------
matthias  Thu Apr 22 08:20:35 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1748

Modified Files:
      Tag: v043pl
	icpciAux.c 
Log Message:
fix some warnings (if...else, jiffies, volatile)

----------------------------------------------------------------------
matthias  Thu Apr 22 08:21:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1769

Modified Files:
      Tag: v043pl
	icpciAM.c 
Log Message:
struct pv_reg is no longer volatile (see ampcvReg.c)

----------------------------------------------------------------------
matthias  Thu Apr 22 08:23:13 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1842

Modified Files:
      Tag: v043pl
	icpciOS.h icpciExt.h 
Log Message:
adjustments to compile most of the code, even if linux is not defined

----------------------------------------------------------------------
matthias  Thu Apr 22 08:24:25 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1877

Modified Files:
      Tag: v043pl
	icpciReg.c 
Log Message:
fix some earlier not found save/restore_flags constructs

----------------------------------------------------------------------
matthias  Thu Apr 22 08:25:52 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1912

Modified Files:
      Tag: v043pl
	icpciInt.h icpciMain.c icpciIoctl.c 
Log Message:
fix some minor errors, found while comiling with 'undef linux'

----------------------------------------------------------------------
matthias  Thu Apr 22 08:26:33 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1942

Modified Files:
      Tag: v043pl
	swtrig_icpci.c 
Log Message:
encapsulate linux/limits.h by ifdef linux

----------------------------------------------------------------------
matthias  Thu Apr 22 08:26:58 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv1956

Modified Files:
      Tag: v043pl
	icpci-0.5.0.lsm 
Log Message:
ajust the compressed module size

----------------------------------------------------------------------
matthias  Mon Apr 26 13:11:51 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4515

Modified Files:
      Tag: v043pl
	ampcvReg.h 
Log Message:
gcc 2.8 marks the adressoperator to a :16 field as an error

----------------------------------------------------------------------
matthias  Mon Apr 26 13:14:22 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4555

Modified Files:
      Tag: v043pl
	icpciInt.h 
Log Message:
cur_cam, cur/old_mem/bma are moved to cap/mem/bma subfields
there is a new fuction icp_task_queue (clears buffers out of the irq off
section)
structure os_private renamed to osp

----------------------------------------------------------------------
matthias  Mon Apr 26 13:17:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4586

Modified Files:
      Tag: v043pl
	icpciAux.c 
Log Message:
function icp_timeout has splited and moved to icpciMain.c
some splhigh/low pairs are replaced by enable/disable_irq (disables only
the icp, not all irq's)
the os dep memset_io function has a new 'board' argument
some adjustments due to stuct icp_global_t changes

----------------------------------------------------------------------
matthias  Mon Apr 26 13:19:38 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4623

Modified Files:
      Tag: v043pl
	icpciIoctl.c 
Log Message:
direct access to on-board memory only via readl/writel (MEM_TEST parts)
some critical sections have new enable/disable pairs
some cur_mem/old_mem adjustments

----------------------------------------------------------------------
matthias  Mon Apr 26 13:26:37 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4656

Modified Files:
      Tag: v043pl
	icpciMain.c 
Log Message:
macro FRAME_HANDLED has splited into GRAB and SNAP parts
icp_timeout has moved to this file from icpciAux.c
the buffer clearing section of icp_timeout has moved to icp_task_queue
the MEM_TEST part of icp_select no longer directly dereferences a on-board
memory pointer

----------------------------------------------------------------------
matthias  Mon Apr 26 13:28:35 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4692

Modified Files:
      Tag: v043pl
	icpciOS.h 
Log Message:
for task_queues we need a new include file
struct os_t has a new member memset (which is also a struct)
new function prototypes irq_on/off

----------------------------------------------------------------------
matthias  Mon Apr 26 13:31:44 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4722

Modified Files:
      Tag: v043pl
	osLx20.c osLx22.c 
Log Message:
the delayed_memset_io and mark_tq functions are the new interface to avoid too long parts witch runs with irq_disable
functions icp_irqon/off allow to disable ONLY ONE (the icp) irq, NOT ALL

----------------------------------------------------------------------
matthias  Mon Apr 26 15:42:46 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv5696

Modified Files:
      Tag: v043pl
	osLx20.c osLx22.c 
Log Message:
for the DG_GET/SET_LUT call, the argument is > 16k, copy it in PAGE_SIZE
pieces

----------------------------------------------------------------------
matthias  Mon Apr 26 15:44:09 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv5722

Modified Files:
      Tag: v043pl
	icpciExt.h icpciInt.h icpciIoctl.c 
Log Message:
new AM-DIG ioctl for adjustment of the extime (shutter time) added,
it uses struct timespec (nanoseconds) as argument

----------------------------------------------------------------------
matthias  Mon Apr 26 16:03:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv5777

Modified Files:
      Tag: v043pl
	config.l 
Log Message:
PCVision boards 1,2,3 should also be supported

----------------------------------------------------------------------
matthias  Mon Apr 26 18:17:08 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv6165

Modified Files:
      Tag: v043pl
	icpciAux.c 
Log Message:
we have to init the pv_reg pointer, before we call ampv_startup

----------------------------------------------------------------------
matthias  Mon Apr 26 18:17:40 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv6179

Modified Files:
      Tag: v043pl
	ampcvReg.c 
Log Message:
the ICP_PLL_PRINTF should better call icp_irq_printf

----------------------------------------------------------------------
matthias  Wed Apr 28 11:09:56 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9415

Added Files:
      Tag: v043pl
	extime_icpci.c 
Log Message:
tool to adjust the delay/shutter/exposure time of the external sync time
output (AM-DIG)

----------------------------------------------------------------------
matthias  Wed Apr 28 11:11:41 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9499

Modified Files:
      Tag: v043pl
	amvsReg.h amdigReg.h icpciInt.h 
Log Message:
__KERNEL__ is a define for linux based systems

----------------------------------------------------------------------
matthias  Wed Apr 28 11:12:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9557

Modified Files:
      Tag: v043pl
	osLx20.c osLx22.c 
Log Message:
some additional brackets in if/else constructs

----------------------------------------------------------------------
matthias  Wed Apr 28 11:13:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9599

Modified Files:
      Tag: v043pl
	swtrig_icpci.c test_icpci.c 
Log Message:
-? is an ordinary command and selects the help screen

----------------------------------------------------------------------
matthias  Wed Apr 28 11:15:34 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9640

Modified Files:
      Tag: v043pl
	icpciIoctl.c 
Log Message:
ICP_SHT -> ICP_DLY
if we use the lower prescaler as long as possible, we achive a higher
resolution in time (SET_EXTIME)

----------------------------------------------------------------------
matthias  Wed Apr 28 11:16:39 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9666

Modified Files:
      Tag: v043pl
	icpciExt.h 
Log Message:
ICP_SHT -> ICP_DLY
__KERNEL__ is a define for linux based systems
SET_EXTIME needs an IOW definition

----------------------------------------------------------------------
matthias  Wed Apr 28 11:20:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9700

Modified Files:
      Tag: v043pl
	Makefile 
Log Message:
SUFFIX statement added to define the building of the _g.o files better
MKDEP command introduced
OPTS -> FLAGS
the KFLAGS section is now in the .system file
disable echoing of some longer shell sections with @
build rules for UTIL_2 added
some minor adjustments: rm, cp ...

----------------------------------------------------------------------
matthias  Wed Apr 28 16:49:13 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10198

Modified Files:
      Tag: v043pl
	Makefile 
Log Message:
at depend section .o -> _g.o is replaced by .o: -> _g.o:

----------------------------------------------------------------------
matthias  Wed Apr 28 16:50:29 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10226

Modified Files:
      Tag: v043pl
	extime_icpci.c 
Log Message:
we use the ident ioctl device (on camera devices multiple open is forbidden)

----------------------------------------------------------------------
matthias  Wed Apr 28 16:51:16 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10253

Modified Files:
      Tag: v043pl
	icpciIoctl.c 
Log Message:
add a break after the SOFTTRIG section

----------------------------------------------------------------------
matthias  Wed Apr 28 16:53:20 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10279

Modified Files:
      Tag: v043pl
	swtrig_icpci.c 
Log Message:
some usage text changes

----------------------------------------------------------------------
matthias  Wed Apr 28 16:54:10 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10304

Modified Files:
      Tag: v043pl
	icpciMain.c 
Log Message:
if we want to clear the bma buffer we should specify also the bma-buffer

----------------------------------------------------------------------
matthias  Thu Apr 29 09:25:54 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10893

Modified Files:
      Tag: v043pl
	icpciExt.h 
Log Message:


----------------------------------------------------------------------
matthias  Fri Apr 30 10:57:27 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv11875

Added Files:
      Tag: v043c
	amclr-0.4.3b.patch.tgz 
Removed Files:
      Tag: v043c
	amclr-0.4.3.patch.tgz 
Log Message:
the old 0.4.3 patch file is replaced by the new 0.4.3b one

----------------------------------------------------------------------
matthias  Fri Apr 30 10:58:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11908

Modified Files:
      Tag: v043c
	Makefile 
Log Message:
PATCH1 is adjusted to the new filename 0.4.3b

----------------------------------------------------------------------
matthias  Fri Apr 30 10:58:56 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11927

Modified Files:
      Tag: v043c
	icpciMain.c icpciIoctl.c 
Log Message:
the new version (number) is 0.4.3c

----------------------------------------------------------------------
matthias  Fri Apr 30 10:59:30 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11951

Modified Files:
      Tag: v043c
	RELNOTES 
Log Message:


----------------------------------------------------------------------
matthias  Fri Apr 30 11:19:57 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv12015

Modified Files:
      Tag: v043c
	amclr-0.4.3b.patch.tgz amrgb-0.4.3.patch.tgz 
Log Message:
eliminate some gcc-2.8 warnings

----------------------------------------------------------------------
matthias  Tue May  4 14:18:29 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27905

Added Files:
      Tag: v043pl
	ChangeLog.old 
Log Message:
this file contains the log messages from every single file till version
0.5.0

----------------------------------------------------------------------
matthias  Tue May  4 14:19:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27913

Modified Files:
      Tag: v043pl
	amdigReg.c ampcvReg.c amvsReg.c extime_icpci.c icpciAM.c 
	icpciAux.c icpciIoctl.c icpciMain.c icpciReg.c osLx20.c 
	osLx22.c swtrig_icpci.c test_icpci.c amdigReg.h ampcvReg.h 
	amvsReg.h config.h icpciExt.h icpciInt.h icpciOS.h icpciReg.h 
	config.l config.y Makefile icpci.de.4 icpci.us.4 
Log Message:
the old log messages from every file are now in Changelog.old
the newer log messages are in ChangeLog

----------------------------------------------------------------------
matthias  Tue May  4 14:20:10 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv27921

Modified Files:
      Tag: v043pl
	icpci-2.0.36.diff 
Log Message:
the assignment of p_mem_start/end should be done AFTER our changes

----------------------------------------------------------------------
matthias  Tue May  4 14:21:27 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv27932

Removed Files:
      Tag: v043pl
	amclr-0.4.3.patch.tgz amrgb-0.4.3.patch.tgz 
Log Message:
replaced by 0.5.0 files

----------------------------------------------------------------------
matthias  Tue May  4 14:22:01 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv27944

Added Files:
      Tag: v043pl
	amclr-0.5.0.patch.tgz amrgb-0.5.0.patch.tgz 
Log Message:
patches revised to meet the 0.5.0 requirements

----------------------------------------------------------------------
matthias  Tue May  4 14:24:14 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27952

Modified Files:
      Tag: v043pl
	icpciAux.c test_icpci.c 
Log Message:
this was done already in the last revision!
FA and C1 branches/dependencies deleted

----------------------------------------------------------------------
matthias  Tue May  4 14:25:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27974

Modified Files:
      Tag: v043pl
	Makefile 
Log Message:
this was done already in the last revision:
the docu files are preprocessed with pic and eqn
supress some shell script output
adjust the release nubers of the patchfiles

----------------------------------------------------------------------
matthias  Tue May  4 14:25:58 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27982

Modified Files:
      Tag: v043pl
	icpci.de.4 icpci.us.4 
Log Message:
this was done already in the last revision:
new EXTIME section
decribe the new behavior of the kernel patch files (memory reservation)
add a poll section

----------------------------------------------------------------------
matthias  Tue May  4 14:32:12 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv28063/icpci

Modified Files:
	Makefile amdigReg.c amdigReg.h ampcvReg.c ampcvReg.h amvsReg.c 
	amvsReg.h config.h config.l config.y icpci.de.4 icpci.us.4 
	icpciAM.c icpciAux.c icpciIoctl.c icpciMain.c icpciReg.c 
	icpciReg.h swtrig_icpci.c test_icpci.c 
Added Files:
	ChangeLog.old extime_icpci.c icpciExt.h icpciInt.h icpciOS.h 
	osLx20.c osLx22.c 
Removed Files:
	icpciIoctl.h icpciMain.h 
Log Message:
merged with v043pl
----------------------------------------------------------------------
matthias  Tue May  4 14:32:12 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv28063/icpci/cameras

Modified Files:
	xc75-ce-pcv.cam 
Added Files:
	cv-m10-ni-pcv.cam cv-m10-vs.cam xc75-rs-pcv.cam 
Log Message:
merged with v043pl
----------------------------------------------------------------------
matthias  Tue May  4 14:32:14 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv28063/icpci/patches

Added Files:
	amclr-0.5.0.patch.tgz amrgb-0.5.0.patch.tgz 
Removed Files:
	amclr-0.4.3.patch.tgz amrgb-0.4.3.patch.tgz 
Log Message:
merged with v043pl
----------------------------------------------------------------------
matthias  Tue May  4 14:32:14 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv28063/icpci/release

Modified Files:
	README RELNOTES 
Added Files:
	icpci-0.5.0.lsm icpci-2.0.36.diff icpci-2.2.5.diff 
Removed Files:
	icpci-0.4.3.lsm icpci-2.0.33.diff 
Log Message:
merged with v043pl
----------------------------------------------------------------------
matthias  Tue May  4 14:37:33 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv28151/icpci

Modified Files:
      Tag: 5
	ChangeLog.old Makefile amdigReg.c amdigReg.h ampcvReg.c 
	ampcvReg.h amvsReg.c amvsReg.h config.h config.l config.y 
	extime_icpci.c icpci.de.4 icpci.us.4 icpciAM.c icpciAux.c 
	icpciExt.h icpciInt.h icpciIoctl.c icpciMain.c icpciOS.h 
	icpciReg.c icpciReg.h osLx20.c osLx22.c swtrig_icpci.c 
	test_icpci.c 
Log Message:
v050 release time -> new major number
----------------------------------------------------------------------
matthias  Tue May  4 14:37:34 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv28151/icpci/cameras

Modified Files:
      Tag: 5
	c4742-95-10bpp.cam c4742-95-10to8.cam c4742-95-12bpp.cam 
	c4742-95-12to8.cam c4742-95-init.sh cad4-1024a-free.cam 
	cad4-1024a-trg.cam clc5-2048a-1kn.cam clc5-2048a-1kw.cam 
	clc5-2048a-4kn.cam clc5-2048a-4kw.cam clc5-2048a-8kn.cam 
	clc5-2048a-8kw.cam cv-m1-20pll-pcv.cam cv-m1-vs-pcv.cam 
	cv-m10-fr.cam cv-m10-il.cam cv-m10-ni-pcv.cam cv-m10-ni.cam 
	cv-m10-tr.cam cv-m10-vs.cam cv-m50.cam mega+14.cam 
	xc75-ce-pcv.cam xc75-ce-trg.cam xc75-ce.cam xc75-rs-pcv.cam 
	xc75-rs.cam 
Log Message:
v050 release time -> new major number
----------------------------------------------------------------------
matthias  Tue May  4 14:37:34 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv28151/icpci/patches

Modified Files:
      Tag: 5
	amclr-0.5.0.patch.tgz amrgb-0.5.0.patch.tgz 
Log Message:
v050 release time -> new major number
----------------------------------------------------------------------
matthias  Tue May  4 14:37:35 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv28151/icpci/release

Modified Files:
      Tag: 5
	LICENSE MAKEDEV.icpci README RELNOTES icpci-0.5.0.lsm 
	icpci-2.0.36.diff icpci-2.2.5.diff 
Log Message:
v050 release time -> new major number
----------------------------------------------------------------------
matthias  Tue May  4 15:55:10 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv28719

Modified Files:
      Tag: v050pl
	RELNOTES 
Log Message:
some text about v043/v050 added

----------------------------------------------------------------------
matthias  Mon May 31 16:48:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv742

Modified Files:
      Tag: v050pl
	icpci.de.4 icpci.us.4 
Log Message:
update the poll section since this call is tested with test_icpci

----------------------------------------------------------------------
matthias  Mon May 31 16:49:46 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv752

Modified Files:
      Tag: v050pl
	icpciAux.c 
Log Message:
in debug mode the entering of icp_mem_copy is printed out

----------------------------------------------------------------------
matthias  Mon May 31 16:51:49 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv760

Modified Files:
      Tag: v050pl
	icpciMain.c 
Log Message:
in read icp_mem_copy is also called, when a timeout has occured (fill grey)

----------------------------------------------------------------------
matthias  Mon May 31 16:53:33 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv770

Modified Files:
      Tag: v050pl
	osLx22.c 
Log Message:
in icp_sleep icp_add_timer and interruptible sellep on is called insted off
interruptible_sllep_on_timeout (see 2.0)
in icp_os_poll POLLERR is returned in case of a timeout (not POLLPRI)

----------------------------------------------------------------------
matthias  Mon May 31 16:56:03 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv780

Modified Files:
      Tag: v050pl
	test_icpci.c 
Log Message:
modifications to test also the poll(2) call
option -s requites an additional parameter (signal|select|poll)
CopyImage is called in SIGALRM-handler

----------------------------------------------------------------------
matthias  Tue Jun  1 10:10:00 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1233

Modified Files:
      Tag: v050pl
	Makefile 
Log Message:
make config should be called automaticly when make all is done
it is better to biuld special devices files for ALL boards at once
we will see, what's happend when make install is done

----------------------------------------------------------------------
matthias  Tue Jun  1 10:10:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1247

Modified Files:
      Tag: v050pl
	icpci.de.4 
Log Message:
minor spelling checks

----------------------------------------------------------------------
matthias  Tue Jun  1 10:11:31 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1261

Modified Files:
      Tag: v050pl
	icpciAux.c 
Log Message:
in init_cr/icr the icp.errno is reset at the beginning

----------------------------------------------------------------------
matthias  Tue Jun  1 10:12:36 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1275

Modified Files:
      Tag: v050pl
	icpciReg.c 
Log Message:
in cr_set_pitch icp_errno have to be set instead of returning the error

----------------------------------------------------------------------
matthias  Tue Jun  1 10:13:24 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv1289

Modified Files:
      Tag: v050pl
	xc75-ce-pcv.cam 
Log Message:
572 lines should be a better choise (see AM-VS)

----------------------------------------------------------------------
matthias  Tue Jun  1 10:15:36 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv1304

Modified Files:
      Tag: v050pl
	amrgb-0.5.0.patch.tgz 
Log Message:
some patches from rin in the diff file:
we should set pixsz AFTER initializing the register
an amrgb branch in icpciIoctl.c was missing

----------------------------------------------------------------------
matthias  Tue Jun  1 10:34:41 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1928

Modified Files:
      Tag: v050pl
	Makefile 
Log Message:
make config HAVE TO BE a seperate command

----------------------------------------------------------------------
matthias  Tue Jun  1 10:35:06 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1942

Modified Files:
      Tag: v050pl
	icpci.de.4 
Log Message:
some formatting was needed

----------------------------------------------------------------------
matthias  Tue Jun  1 10:35:41 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1956

Modified Files:
      Tag: v050pl
	icpciReg.c 
Log Message:
icp.errno is a per board variable

----------------------------------------------------------------------
matthias  Tue Jun  1 10:36:20 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1967

Modified Files:
      Tag: v050pl
	test_icpci.c 
Log Message:
sys/select.h does not exist under libc5/2.0.36

----------------------------------------------------------------------
matthias  Tue Jun  1 13:45:29 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3765

Modified Files:
      Tag: v050pl
	icpci.de.4 icpci.us.4 
Log Message:
spell checking with ispell done

----------------------------------------------------------------------
matthias  Thu Jun  3 10:57:44 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv26405

Modified Files:
      Tag: v050pl
	extime_icpci.c swtrig_icpci.c test_icpci.c 
Log Message:
exit (0|1) replaced by EXIT_SUCCESS|FAILURE

----------------------------------------------------------------------
matthias  Thu Jun  3 10:59:03 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv26420

Modified Files:
      Tag: v050pl
	amrgb-0.5.0.patch.tgz 
Log Message:
better handling of camera configurations (cam_t is now supported)

----------------------------------------------------------------------
matthias  Thu Jun  3 11:38:49 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv26708

Modified Files:
      Tag: v050pl
	osLx20.c osLx22.c 
Log Message:
the acq-module startup routines should be called AFTER cr_init_regs
cr_init_regs has a return value

----------------------------------------------------------------------
matthias  Thu Jun  3 11:39:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv26723

Modified Files:
      Tag: v050pl
	icpciIoctl.c 
Log Message:
update version value

----------------------------------------------------------------------
matthias  Thu Jun  3 11:48:17 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv26749

Modified Files:
      Tag: v050pl
	RELNOTES 
Log Message:
adjusted to reflect 0.5.0a changes

----------------------------------------------------------------------
matthias  Thu Jun  3 13:28:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27535

Modified Files:
      Tag: v050pl
	icpciAux.c 
Log Message:
cr_init_regs and icr_init_regs are now in cap_init

----------------------------------------------------------------------
matthias  Thu Jun  3 13:29:29 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27543

Modified Files:
      Tag: v050pl
	osLx20.c osLx22.c 
Log Message:
cr_init_regs and icr_init_regs are now in cap_init (icpciAux.c)

----------------------------------------------------------------------
matthias  Thu Jun  3 13:29:48 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv27557

Modified Files:
      Tag: v050pl
	test_icpci.c 
Log Message:


----------------------------------------------------------------------
matthias  Wed Jun 30 10:32:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3264

Modified Files:
      Tag: v050pl
	Makefile 
Log Message:
omit-frame-pointer is only used to compile the module
the library is not optimzed by O2

----------------------------------------------------------------------
matthias  Wed Jun 30 10:33:19 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3281

Modified Files:
      Tag: v050pl
	ampcvReg.c 
Log Message:
the external definition of pv_regs is now in ampcvReg.h

----------------------------------------------------------------------
matthias  Wed Jun 30 10:34:16 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3289

Modified Files:
      Tag: v050pl
	ampcvReg.h 
Log Message:
external definition of pv_regs added
additional definitions for interrupt test and clear

----------------------------------------------------------------------
matthias  Wed Jun 30 10:35:42 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3307

Modified Files:
      Tag: v050pl
	icpciAM.c 
Log Message:
adjustments for rev B boards: pixelsize 24 with 3 or 4 bytes (24bit amdig)

----------------------------------------------------------------------
matthias  Wed Jun 30 10:37:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3325

Modified Files:
      Tag: v050pl
	icpciAux.c 
Log Message:
adjustments for rev B boards (pixelsize/horizontal-vertical decimation)
icp_decode_minor: the major device number is no longer constant
xcr_clear_irq -> xcr_clear_irqs

----------------------------------------------------------------------
matthias  Wed Jun 30 10:41:02 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3343

Modified Files:
      Tag: v050pl
	icpciExt.h 
Log Message:
new ioctl command HVDEC, only useful for rev B boards
RAWSIZE -> MEMMAPSIZE / PAGEDSIZE -> BMAMAPSIZE
WIDTH/HEIGHT is different for mem/bma buffers since we support decimation:
MEMWIDTH/HEIGHT - BMAWIDHT/HEIGHT

----------------------------------------------------------------------
matthias  Wed Jun 30 10:42:38 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3362

Modified Files:
      Tag: v050pl
	icpciInt.h 
Log Message:
the definition of the major device numbers is now in icpciOS.h
new definition for i/o port interrupt added
ioctl in/out arguments adjusted to the new/changed calls

----------------------------------------------------------------------
matthias  Wed Jun 30 10:43:51 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3377

Modified Files:
      Tag: v050pl
	icpciIoctl.c 
Log Message:
WIDTH/HEIGHT/SIZE calls changed
HVDEC call introduced

----------------------------------------------------------------------
matthias  Wed Jun 30 10:46:43 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3392

Modified Files:
      Tag: v050pl
	icpciMain.c 
Log Message:
the icp_intr handler has the irq number as argument
since we support diffenrent irq's the interrupt number ist validated for
every board
the pcvision interrupts are only printed in debugging mode
the irqs are initialized with 0UL

----------------------------------------------------------------------
matthias  Wed Jun 30 10:47:27 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3406

Modified Files:
      Tag: v050pl
	icpciOS.h 
Log Message:
the major device number definition has moved to here from icpciInt.h

----------------------------------------------------------------------
matthias  Wed Jun 30 10:49:09 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3425

Modified Files:
      Tag: v050pl
	icpciReg.c 
Log Message:
new handler functions for additional rev B features introduced
irq test and clear functions revised

----------------------------------------------------------------------
matthias  Wed Jun 30 10:50:15 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3440

Modified Files:
      Tag: v050pl
	icpciReg.h 
Log Message:
rev B board register definitions added (revised manual version)

----------------------------------------------------------------------
matthias  Wed Jun 30 10:52:17 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3462

Modified Files:
      Tag: v050pl
	test_icpci.c 
Log Message:
new zomm option (-z) added
width/height/size calls adjusted to the new/changed behavior
sigsuspend added to wait PASSIVE for signals

----------------------------------------------------------------------
matthias  Wed Jun 30 10:54:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv3477

Modified Files:
      Tag: v050pl
	osLx20.c osLx22.c 
Log Message:
dynamic allocation of the major device number introduced
new insmod command line arguments major0/1 to force the device numbers
to be like the old ones
support for different interrupts on multiple boards

----------------------------------------------------------------------
matthias  Wed Jun 30 15:59:24 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4124

Modified Files:
      Tag: v050pl
	icpciMain.c 
Log Message:
the bma buffers shuld also only be incremented, if framecount > 1

----------------------------------------------------------------------
matthias  Tue Jul 13 09:34:05 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29657

Added Files:
      Tag: v050pl
	icpciIOP.c 
Log Message:
read/write subroutines to access the on-board io-port (non-blocked or
interrupt driven)

----------------------------------------------------------------------
matthias  Tue Jul 13 09:35:10 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29668

Added Files:
      Tag: v050pl
	ioport_icpci.c 
Log Message:
test program to read in (and write out) values from (to) the io-port
sampling time is adjustable

----------------------------------------------------------------------
matthias  Tue Jul 13 09:36:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29683

Modified Files:
      Tag: v050pl
	Makefile 
Log Message:
tags are build with ctags
integrate ioport_test

----------------------------------------------------------------------
matthias  Tue Jul 13 09:38:00 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv29702

Modified Files:
      Tag: v050pl
	MAKEDEV.icpci 
Log Message:
encapsulate major number 0/1 by define MAJOR0/1
ajustments to build the new io-port devices board|module0|camera0

----------------------------------------------------------------------
matthias  Tue Jul 13 09:39:00 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29719

Modified Files:
      Tag: v050pl
	test_icpci.c 
Log Message:
patch the time readout in bma mode (wrong offset)

----------------------------------------------------------------------
matthias  Tue Jul 13 09:41:48 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29738

Modified Files:
      Tag: v050pl
	icpciReg.c 
Log Message:
some function/define naming changes (rev-B boards)
encapsulate the pcv direct register access by icp_readw/writew also in
irq handler
changes to detect the io-port irq correctly (IEN->INT)

----------------------------------------------------------------------
matthias  Tue Jul 13 09:43:17 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29762

Modified Files:
      Tag: v050pl
	icpciReg.h 
Log Message:
change the portcon init value (irq disabled by default)
some function/define naming changes (rev-B boards)

----------------------------------------------------------------------
matthias  Tue Jul 13 09:45:26 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29780

Modified Files:
      Tag: v050pl
	icpciAux.c 
Log Message:
adjust icp_decode_minor to know about the io-port devices
implement in enable/disable_irq the io-port irq sections
in read(2) is copied from the bma-space, if bma is enabled (speed
improvement)

----------------------------------------------------------------------
matthias  Tue Jul 13 09:46:30 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29797

Modified Files:
      Tag: v050pl
	icpciExt.h 
Log Message:
the io-port/trigger timeouts should be available to user programs

----------------------------------------------------------------------
matthias  Tue Jul 13 09:49:16 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29813

Modified Files:
      Tag: v050pl
	icpciInt.h 
Log Message:
define a new enum to select the wait_queue/timer (camera/io-port)
new section in icp_global_t for the io-port access (lock, read)
prototype for icp_write added (only useful for io-ports)
icp_close has like icp_open the flags argument

----------------------------------------------------------------------
matthias  Tue Jul 13 09:50:19 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29831

Modified Files:
      Tag: v050pl
	icpciIoctl.c 
Log Message:
define in icp_sleep/_add_timer the queue/timer to use (camera/io-port)

----------------------------------------------------------------------
matthias  Tue Jul 13 09:55:04 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29846

Modified Files:
      Tag: v050pl
	icpciMain.c 
Log Message:
the irq's are only cleared, if they are detected
the buffer clear function (mark_tq) is only used, if we really want to
clear the buffers
if no buffer clearing is used, wakeup the process already in timeout
add the io-port readin section in irq handler
branch in open/close/read/write, if the io-port is accessed
return an error in mmap/select, if the device is an io-port
adjust sleep/add_timer to select the mode in the third argument

----------------------------------------------------------------------
matthias  Tue Jul 13 09:57:38 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29877

Modified Files:
      Tag: v050pl
	icpciOS.h 
Log Message:
now we have two wait_queues/timers - the old one called CAMERA and a new
one called IOPORT
adjust the prototypes of add_timer/del_timer/sleep/wakeup to select one
of these queues/timers
icp_copyin source pointer is const

----------------------------------------------------------------------
matthias  Tue Jul 13 10:00:06 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29895

Modified Files:
      Tag: v050pl
	osLx20.c osLx22.c 
Log Message:
modify some functions to support the new io-port queue/timer (selectable)
move the init_timer call from add_timer to init_os
add a call to iop_init in init_module

----------------------------------------------------------------------
matthias  Wed Jul 21 10:39:38 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2840

Modified Files:
      Tag: v050pl
	icpciExt.h 
Log Message:
new members of struct acc_t for io-port interrupt/byte counting
new ioctl's GET/SET stat to read out/reset struct acc_t

----------------------------------------------------------------------
matthias  Wed Jul 21 10:41:56 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2850

Modified Files:
      Tag: v050pl
	icpciIOP.c 
Log Message:
correct the check for RDONLY (check with mask, bit is not useful if 0x00)
enable io-port irq also, if not in blocking mode (we want to count irq's)
free the output buffer also in case of an error

----------------------------------------------------------------------
matthias  Wed Jul 21 10:42:38 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2860

Modified Files:
      Tag: v050pl
	icpciInt.h 
Log Message:
new member get_stats in copyout union for ioctl GET_STATS

----------------------------------------------------------------------
matthias  Wed Jul 21 10:43:59 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2870

Modified Files:
      Tag: v050pl
	icpciIoctl.c 
Log Message:
implement the new GET/SET_STATS calls, SET_STATS only resets the accounting

----------------------------------------------------------------------
matthias  Wed Jul 21 10:45:05 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2880

Modified Files:
      Tag: v050pl
	icpciMain.c 
Log Message:
initailize all statistics with 0UL
collect io-port statistics in interrupt handler

----------------------------------------------------------------------
matthias  Wed Jul 21 10:45:53 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2890

Modified Files:
      Tag: v050pl
	ioport_icpci.c 
Log Message:
install an SIGINT handler to print the new statistics

----------------------------------------------------------------------
matthias  Wed Jul 21 10:46:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2904

Modified Files:
      Tag: v050pl
	osLx20.c osLx22.c 
Log Message:
initialize the new io-port statistic values to 0UL

----------------------------------------------------------------------
matthias  Thu Jul 22 13:01:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11179

Added Files:
      Tag: v050pcd
	config_pcdig.c 
Log Message:
program to convert .exo files to binary (direct writeable) format

----------------------------------------------------------------------
matthias  Thu Jul 22 13:02:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11191

Added Files:
      Tag: v050pcd
	pcdigReg.h 
Log Message:
register set defines for the PCDig

----------------------------------------------------------------------
matthias  Thu Jul 22 13:03:12 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11199

Added Files:
      Tag: v050pcd
	pcdigReg.c 
Log Message:
low lever register read/write handler for the PCDig
some utility functions

----------------------------------------------------------------------
matthias  Thu Jul 22 13:05:50 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11211

Added Files:
      Tag: v050pcd
	itifgReg.c itifgReg.h 
Log Message:
the fuctions/definitions for the interface control registers have moved
from icpciReg.c/h to here (they are the same for the PCDig)

----------------------------------------------------------------------
matthias  Thu Jul 22 13:12:56 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv11231

Added Files:
      Tag: v050pcd
	ccd-1300-12bpp-pcd.cam 
Log Message:
config file for vosskuehler ccd1300 12bit PCDig

----------------------------------------------------------------------
matthias  Thu Jul 22 13:13:58 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11253

Removed Files:
      Tag: v050pcd
	MAKEDEV.icpci 
Log Message:
replaced by MAKEDEV.itifg

----------------------------------------------------------------------
matthias  Thu Jul 22 13:21:44 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11333

Added Files:
      Tag: v050pcd
	MAKEDEV.itifg 
Log Message:
replaces MAKEDEV.icpci
support for the PCDig devices added

----------------------------------------------------------------------
matthias  Thu Jul 22 13:24:38 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11352

Removed Files:
      Tag: v050pcd
	icpci-0.5.0.lsm icpci-2.0.36.diff icpci-2.2.5.diff 
Log Message:
files are replaced by the correspondent itifg-* ones
version number incremented at the lsm entry

----------------------------------------------------------------------
matthias  Thu Jul 22 13:25:15 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11363

Added Files:
      Tag: v050pcd
	itifg-0.6.0.lsm itifg-2.0.36.diff itifg-2.2.5.diff 
Log Message:
files replaces the old icpci-* ones
lsm version number adjusted

----------------------------------------------------------------------
matthias  Thu Jul 22 13:25:56 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11378

Modified Files:
      Tag: v050pcd
	README 
Log Message:
icpci->itifg name replacement

----------------------------------------------------------------------
matthias  Thu Jul 22 13:27:54 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11400

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
icpci->itifg name replacement
tags section added
support to bulid config_pcdig
add itifgReg into the file list

----------------------------------------------------------------------
matthias  Thu Jul 22 13:30:32 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11422

Modified Files:
      Tag: v050pcd
	amdigReg.c 
Log Message:
icp->iti name replacement
trg->trig TRG->TRIG adjustment
the poinetr to the cr_regs is now char (remove / sizeof)

----------------------------------------------------------------------
matthias  Thu Jul 22 13:31:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11434

Modified Files:
      Tag: v050pcd
	amdigReg.h 
Log Message:
trg->trig adjustments
mode in set_lut16 is now int

----------------------------------------------------------------------
matthias  Thu Jul 22 13:32:35 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11455

Modified Files:
      Tag: v050pcd
	amvsReg.c 
Log Message:
icp->iti name replacement
cr_regs pointer is now char (remove / sizeof)

----------------------------------------------------------------------
matthias  Thu Jul 22 13:33:47 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11473

Modified Files:
      Tag: v050pcd
	ampcvReg.c 
Log Message:
icp->iti name replacement

----------------------------------------------------------------------
matthias  Thu Jul 22 13:34:32 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11485

Modified Files:
      Tag: v050pcd
	ampcvReg.h 
Log Message:
no code changes

----------------------------------------------------------------------
matthias  Thu Jul 22 13:35:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11511

Modified Files:
      Tag: v050pcd
	config.h config.l config.y 
Log Message:
icp->iti name replacement

----------------------------------------------------------------------
matthias  Thu Jul 22 13:50:49 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11538

Modified Files:
      Tag: v050pcd
	icpciReg.c 
Log Message:
icp->iti name replacement
the complete icr stuff has moved to itifgReg.c
the cr_regs pointer is now char (remove / sizeof)

----------------------------------------------------------------------
matthias  Thu Jul 22 13:52:01 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11546

Modified Files:
      Tag: v050pcd
	icpciReg.h 
Log Message:
icp->iti name replacement
cr_regs pointer is now char (add * sizeof to CR_REG_SIZE)
init the portcon register with 0x002D (disable irq)

----------------------------------------------------------------------
matthias  Thu Jul 22 14:26:56 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11974

Modified Files:
      Tag: v050pcd
	osLx20.c 
Log Message:
icp->iti name replacement
UN/PAGED -> ITI_UN/PAGED
interupt line test is now in itifgAux.c
REG_SIZE values are bytes (remove * sizeof)

----------------------------------------------------------------------
matthias  Thu Jul 22 14:29:54 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11990

Modified Files:
      Tag: v050pcd
	osLx22.c 
Log Message:
icp->iti name replacement
support for now interrupt (test for number = 255) added
PCDig support (pci/map init)

----------------------------------------------------------------------
matthias  Thu Jul 22 14:33:58 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv12005

Modified Files:
      Tag: v050pcd
	itifgReg.c 
Log Message:
interrupt handler moved form icpciReg.c to here
support for PCDig irq's
IC-PCI io-port irq detection fixed (IEN->INT)
direct access to pv regs forbidden (now via readw/writew)

----------------------------------------------------------------------
matthias  Thu Jul 22 14:36:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv12039

Removed Files:
      Tag: v050pcd
	extime_icpci.c swtrig_icpci.c 
Log Message:
replaced by itifg files

----------------------------------------------------------------------
matthias  Thu Jul 22 14:47:40 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv12050

Added Files:
      Tag: v050pcd
	extime_itifg.c swtrig_itifg.c 
Log Message:
replaces extime_icpci and swtrig_icpci
icp->iti name replacements

----------------------------------------------------------------------
matthias  Thu Jul 22 14:52:22 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv12087

Removed Files:
      Tag: v050pcd
	test_icpci.c 
Log Message:
replaced by test_itifg.c

----------------------------------------------------------------------
matthias  Thu Jul 22 15:14:15 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv12104

Added Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
adapt to support PCDig
icp->iti name replaces

----------------------------------------------------------------------
matthias  Thu Jul 22 15:14:57 MEST 1999

Update of /icpci/icpci/fpgafiles
In directory bilbo:/tmp/cvs-serv12119/fpgafiles

Log Message:
Directory /users/matthias/src/CVSROOT/icpci/icpci/fpgafiles added to the repository
--> Using per-directory sticky tag `v050pcd'

----------------------------------------------------------------------
matthias  Thu Jul 22 15:20:00 MEST 1999

Update of /icpci/icpci/fpgafiles
In directory bilbo:/tmp/cvs-serv12130

Added Files:
      Tag: v050pcd
	p1b1tn00.exo p1b1tp00.exo p2b1tn00.exo p2b1tp00.exo 
	p2b2tn00.exo p2b2tp00.exo p3b1tn00.exo p3b1tp00.exo 
	p4b1tn00.exo p4b1tp00.exo p4b2tn00.exo p4b2tp00.exo 
	p4b4tn00.exo p4b4tp00.exo pcd08b1t.exo pcd08b4t.exo 
	pcd16b1t.exo pcddiag.exo 
Log Message:
PCDig fpga download files

----------------------------------------------------------------------
matthias  Fri Jul 23 10:57:41 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv19918

Added Files:
      Tag: v050pcd
	itifg.de.4 itifg.us.4 
Log Message:
replaces the icpci.de|us.4 files
only icp->iti (0.6.0) adjustments

----------------------------------------------------------------------
matthias  Fri Jul 23 10:58:17 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv19929

Removed Files:
      Tag: v050pcd
	icpci.de.4 icpci.us.4 
Log Message:
replaced by itifg.de|us.4

----------------------------------------------------------------------
matthias  Fri Jul 23 11:00:24 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv19954

Removed Files:
      Tag: v050pcd
	icpciExt.h 
Log Message:
replaced by itifgExt.h

----------------------------------------------------------------------
matthias  Fri Jul 23 11:02:41 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv19965

Added Files:
      Tag: v050pcd
	itifgExt.h 
Log Message:
replaces icpciExt.h
icp->iti name replacements
MODULE_MAX is now 64 - VMPCD is 32 (the first icpci invalid modid)
PCDig pcd_cam_t added

----------------------------------------------------------------------
matthias  Fri Jul 23 11:06:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv19985

Removed Files:
      Tag: v050pcd
	icpciInt.h 
Log Message:
replaced by itifgInt.h

----------------------------------------------------------------------
matthias  Fri Jul 23 11:12:12 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv19996

Added Files:
      Tag: v050pcd
	itifgInt.h 
Log Message:
replaces icpciInt.h
icp->iti naming changes
distinguish between ICP and PCD MEM_MAP_SIZE
new PCDig irq defines (some IC-PCI renamed)
BLOCK_SIZE/PAGED/UNPAGED now with ITI_ prefix
defines for IS_ICPCI/PCDIG
struct pci address0123 replaced by a address[6] array
v_cr_base is now char* (because it's *short at IC-PCI and *long at PCDig)
new member fpga_ok at cap_t (always TRUE at IC-PCI)
new vcr variable at global_t (virtual cr-regs function switch)
prototypes for viam_init/startup functions (VIrtual Aquisition Module)

----------------------------------------------------------------------
matthias  Fri Jul 23 11:14:00 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20020

Removed Files:
      Tag: v050pcd
	icpciOS.h 
Log Message:
replaced by itifgOS.h

----------------------------------------------------------------------
matthias  Fri Jul 23 11:14:59 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20031

Added Files:
      Tag: v050pcd
	itifgOS.h 
Log Message:
replaces icpciOS.h
icp->iti name changes
new defines for the PCdig IC-Async boards (not defined by pci.h)

----------------------------------------------------------------------
matthias  Fri Jul 23 11:17:36 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20053

Removed Files:
      Tag: v050pcd
	icpciAM.c 
Log Message:
replaced by itifgAM.c

----------------------------------------------------------------------
matthias  Fri Jul 23 11:18:43 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20064

Added Files:
      Tag: v050pcd
	itifgAM.c 
Log Message:
replaces icpciAM.c
icp->iti name changes
TRG->TRIG adjustments
new pcd_def_cam structure
implement pcd_viam_startup/init functions

----------------------------------------------------------------------
matthias  Fri Jul 23 11:20:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20086

Removed Files:
      Tag: v050pcd
	icpciIoctl.c 
Log Message:
replaced by itifgIoctl.c

----------------------------------------------------------------------
matthias  Fri Jul 23 11:20:56 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20097

Added Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
replaces icpciIoctl.c
ONLY icp->iti naming changes

----------------------------------------------------------------------
matthias  Fri Jul 23 11:28:08 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20120

Removed Files:
      Tag: v050pcd
	icpciAux.c 
Log Message:
replaced by itifgAux.c

----------------------------------------------------------------------
matthias  Fri Jul 23 11:35:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20131

Added Files:
      Tag: v050pcd
	itifgAux.c 
Log Message:
replaces icpciAux.c
icp->iti naming changes
pcd_bi/ca ... register set pointers added
VMPCD module number remapping (like PCVision) added
PCD_VBINT irq_enable|disable added
PV irq's are only disabled, if module is AMPV
bmdst/bmxc are only initialized, if IC-PCI
branches for different boards in cr_init
init of vcr switch structure in cr_init
pci_init and map_init adjusted to support both boards (IC-PCI|PCDig)
cap_init respect new fpga_ok
VMPCD branches for viam_startup|init
pixsz is noe in vcr and has changed (not <<, but * - new pcd_get_pixsz)
cr_pixsz has changed (+1 to allow *)
memcopy not completely ready (interlaced section)
bma_init/copy not changed yet

----------------------------------------------------------------------
matthias  Fri Jul 23 11:40:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20167

Removed Files:
      Tag: v050pcd
	icpciMain.c 
Log Message:
replaced by itifgMain.c

----------------------------------------------------------------------
matthias  Fri Jul 23 11:44:14 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv20178

Added Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
replaces icpciMain.c
icp->iti naming changes
new vcr init in global
all functions adjusted to use vcr (not cr)
irq's are only cleared, if tested
irq's are board dependent
for now, only vb is used at the PCDig
only open/write is allowed on PCDig with !fpka_ok
write fuction to download fpga is completely new
enable/disable irq's with respect to the PCDig

----------------------------------------------------------------------
matthias  Mon Aug  9 14:07:16 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31310

Modified Files:
      Tag: v050pcd
	config.h 
Log Message:
add the PCDig num and enum sections
fix the read_config prototype (additional exo-filename parameter)

----------------------------------------------------------------------
matthias  Mon Aug  9 14:10:33 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31322

Modified Files:
      Tag: v050pcd
	config.l 
Log Message:
rename some tokens
add a token for floating point numbers
split the IC-PCI/PCVision/PCDig (new) sections

----------------------------------------------------------------------
matthias  Mon Aug  9 14:14:10 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31334

Modified Files:
      Tag: v050pcd
	config.y 
Log Message:
add the PCDig sections (num and enum)
new rules for double and floating point parameters
support to read out the fpga filename
flag/num/enum/debug values are only tested, if they are not NULL

----------------------------------------------------------------------
matthias  Mon Aug  9 14:15:39 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31353

Modified Files:
      Tag: v050pcd
	extime_itifg.c 
Log Message:
PCDig support
parameter to set the camera mode added

----------------------------------------------------------------------
matthias  Mon Aug  9 14:17:52 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31365

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
test for zoom mode not valid if not in bma mode
fix the timeouts (depends on the frame rate)
norm to 8 also if PCDIG

----------------------------------------------------------------------
matthias  Mon Aug  9 14:21:29 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31381

Modified Files:
      Tag: v050pcd
	pcdigReg.h 
Log Message:
fix some missed prototypes
some defines depends on their IC-PCI equivalents
new defines to initialize the exsync and cclk regs (no longer in pcd_cam)

----------------------------------------------------------------------
matthias  Mon Aug  9 14:23:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31399

Modified Files:
      Tag: v050pcd
	osLx22.c 
Log Message:
define alloc_t and adjust prototypes

----------------------------------------------------------------------
matthias  Mon Aug  9 14:24:24 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31410

Modified Files:
      Tag: v050pcd
	osLx20.c 
Log Message:
ioemaped regions must not de accessed via _io funtions

----------------------------------------------------------------------
matthias  Mon Aug  9 14:26:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31424

Modified Files:
      Tag: v050pcd
	itifgOS.h 
Log Message:
typedef iti_alloc_t
remove prototypes for the _io functions (no longer needed)

----------------------------------------------------------------------
matthias  Mon Aug  9 14:28:43 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31442

Modified Files:
      Tag: v050pcd
	itifgAM.c 
Log Message:
generalized get/set/lin_lut16 functions are now here
functions revised and adjusted to support both boards (AM-DIG/PCDig)
extime/cclk settings are now at the end of viam_startup

----------------------------------------------------------------------
matthias  Mon Aug  9 14:31:07 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31458

Modified Files:
      Tag: v050pcd
	icpciReg.h 
Log Message:
some functions have shorter names
add a DEC_BY_16 define (exported to the PCDig)
definitions are also visible in the __CONFIG__ scope (needed for the PCDig)

----------------------------------------------------------------------
matthias  Mon Aug  9 14:33:32 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31476

Modified Files:
      Tag: v050pcd
	icpciReg.c 
Log Message:
some get_pixsz / set_inpien /hdec/vdec fixes (generalized IC-PCI/PC-DIG)
interface

----------------------------------------------------------------------
matthias  Mon Aug  9 14:36:48 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31494

Modified Files:
      Tag: v050pcd
	itifgExt.h 
Log Message:
define the new PCDig ioctl's
revise the pcd_cam structure (extime and cclk values are handled different)
the wait for trigger timeout is exported
revise the digiatl LUT defines to match the new common interface

----------------------------------------------------------------------
matthias  Mon Aug  9 14:40:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31514

Modified Files:
      Tag: v050pcd
	itifgInt.h 
Log Message:
operation mode handling revised (new/deleted defines)
defines for the changed enable/disable_irq interface
new vcr switch table members
ioctl copyin/out structure adjusted
some convinience defines
new CHECK_FOR_EIO macro

----------------------------------------------------------------------
matthias  Mon Aug  9 14:43:07 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31533

Modified Files:
      Tag: v050pcd
	itifgReg.c 
Log Message:
move the external function defines into the distinct interrupt functions

----------------------------------------------------------------------
matthias  Mon Aug  9 14:44:58 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31558

Modified Files:
      Tag: v050pcd
	amdigReg.c 
Log Message:
the dg_get/set/lin_lut16 functions are now in itifgAM.c and more
generalized

----------------------------------------------------------------------
matthias  Mon Aug  9 14:46:17 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31573

Modified Files:
      Tag: v050pcd
	amdigReg.h 
Log Message:
remove the distinct _MC_ values and add a MIN/MAX define
fix the PSIZE_MASK/SHIFT values

----------------------------------------------------------------------
matthias  Mon Aug  9 14:50:32 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31590

Modified Files:
      Tag: v050pcd
	pcdigReg.c 
Log Message:
the get_fcnt functions have to add 1 to its result
add the get/set synmuxb funcs
add the 'fake' get_smstat ... funcs
remove range checking in the get/set_lut0|1pg funcs
introduce new src/dst scatter gather funcs

----------------------------------------------------------------------
matthias  Mon Aug  9 14:54:34 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31608

Modified Files:
      Tag: v050pcd
	itifgAux.c 
Log Message:
introduce the new enable/disable_irq interface
fix the bma_init/copy setup for the PCDig
use some convenience macros
take respect to the new vcr switch table funcs during initialization

----------------------------------------------------------------------
matthias  Mon Aug  9 15:00:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31632

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
take respect to the changed enable/disable_irq interface
use board rather than devno->board (use more macros)
adjust some funcs to the revised opmode interface
fix the 'write fpga' cycle

----------------------------------------------------------------------
matthias  Mon Aug  9 15:17:43 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31655

Modified Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
fix pcd extime interface to 64bit
modify CHECK_FOR_EIO macro for this file
SET_CAMCNF is now synchon to the next frame
modifyed to match the enable/disable/opmode and vcr interface
VMPCD brach to every MODULE_ID switch added
new GET/SET_DG/PCD_CAMMD ioctl's introduced
SET_LUTPG now validates it's argument and returns EINVAL

----------------------------------------------------------------------
matthias  Mon Aug  9 15:20:09 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv31676

Added Files:
      Tag: v050pcd
	c4742-95-12to8-pcd.cam 
Removed Files:
      Tag: v050pcd
	ccd-1300-12bpp-pcd.cam 
Log Message:
c4742...-pcd.cam replaces ccd-1300....cam

----------------------------------------------------------------------
matthias  Tue Aug 10 16:16:12 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9176

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
install section revised (/sbin/init.d - /dev/MAKEDEV)

----------------------------------------------------------------------
matthias  Tue Aug 10 16:16:46 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9187

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
ident_ioctl -> module_ident

----------------------------------------------------------------------
matthias  Tue Aug 10 16:18:09 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9202

Modified Files:
      Tag: v050pcd
	MAKEDEV.itifg 
Log Message:
completely rewritten to support dynamic devno assignment
minor device numbers are calculated

----------------------------------------------------------------------
matthias  Tue Aug 10 16:18:53 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9211

Added Files:
      Tag: v050pcd
	INITD.itifg 
Log Message:
sysv init style script (start/stop)

----------------------------------------------------------------------
matthias  Tue Aug 10 16:19:36 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9223

Modified Files:
      Tag: v050pcd
	itifg-0.6.0.lsm 
Log Message:
recalculate size
adjust revision number

----------------------------------------------------------------------
matthias  Wed Aug 11 15:15:02 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1109

Added Files:
      Tag: v050pcd
	itifgIOP.c 
Log Message:
kernel support for the on-board io-ports

----------------------------------------------------------------------
matthias  Wed Aug 11 15:15:20 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1117

Added Files:
      Tag: v050pcd
	ioport_itifg.c 
Log Message:
user space test program for the io-ports

----------------------------------------------------------------------
matthias  Wed Aug 11 15:17:39 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1132

Modified Files:
      Tag: v050pcd
	icpciReg.c itifgAux.c itifgIoctl.c itifgMain.c itifgReg.c 
	osLx20.c osLx22.c pcdigReg.c icpciReg.h itifgExt.h itifgInt.h 
	itifgOS.h pcdigReg.h 
Log Message:
merged with the v051 changes (io-port / timer bugfix ...)

----------------------------------------------------------------------
matthias  Wed Aug 11 15:18:25 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1145

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
build also the new io-port files
install the programs in /usr/local

----------------------------------------------------------------------
matthias  Wed Aug 11 15:24:43 MEST 1999

Update of /icpci/icpci/fpgafiles
In directory bilbo:/tmp/cvs-serv1229

Removed Files:
      Tag: v050pcd
	pcd08b1t.exo pcd08b4t.exo pcd16b1t.exo 
Log Message:
no longer used

----------------------------------------------------------------------
matthias  Wed Aug 11 15:25:25 MEST 1999

Update of /icpci/icpci/fpgafiles
In directory bilbo:/tmp/cvs-serv1240

Modified Files:
      Tag: v050pcd
	p1b1tn00.exo p1b1tp00.exo p2b1tn00.exo p2b1tp00.exo 
	p2b2tn00.exo p2b2tp00.exo p3b1tn00.exo p3b1tp00.exo 
	p4b1tn00.exo p4b1tp00.exo p4b2tn00.exo p4b2tp00.exo 
	p4b4tn00.exo p4b4tp00.exo 
Log Message:
exsync/pri changes

----------------------------------------------------------------------
matthias  Tue Aug 17 09:48:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8117

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
strip the binaries, when installed
don't make the devices at install
fix the copy of ChangeLog.itifg

----------------------------------------------------------------------
matthias  Tue Aug 17 09:49:17 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8137

Modified Files:
      Tag: v050pcd
	config.h config.y 
Log Message:
add support for the external trigger fix (emidpnt/pmidpnt)

----------------------------------------------------------------------
matthias  Tue Aug 17 09:52:40 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8186

Modified Files:
      Tag: v050pcd
	itifgAM.c itifgExt.h itifgIoctl.c pcdigReg.c pcdigReg.h 
Log Message:
add support for the extended camera trigger features (emidpnt/pmidpnt)
adjust the camera structure and ioctl's

----------------------------------------------------------------------
matthias  Tue Aug 17 09:52:40 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8186/cameras

Modified Files:
      Tag: v050pcd
	c4742-95-12to8-pcd.cam 
Log Message:
add support for the extended camera trigger features (emidpnt/pmidpnt)
adjust the camera structure and ioctl's

----------------------------------------------------------------------
matthias  Tue Aug 17 09:53:26 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8201

Modified Files:
      Tag: v050pcd
	osLx20.c 
Log Message:
integrate changes form osLx22.c to support the PCDig

----------------------------------------------------------------------
matthias  Tue Aug 17 09:54:01 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8212

Modified Files:
      Tag: v050pcd
	osLx22.c 
Log Message:
adjust the version date

----------------------------------------------------------------------
matthias  Tue Aug 17 13:01:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8337

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
install the camera and fpgafiles in /usr/local/share/itifg

----------------------------------------------------------------------
matthias  Tue Aug 17 13:02:44 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8356

Modified Files:
      Tag: v050pcd
	osLx20.c 
Log Message:
fill in also the device_id field

----------------------------------------------------------------------
matthias  Tue Aug 17 13:04:02 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8376

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
fix the write offset for frame_info (now it works also in zoom mode)

----------------------------------------------------------------------
matthias  Tue Aug 17 13:05:12 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8384

Modified Files:
      Tag: v050pcd
	itifgAM.c itifgExt.h 
Log Message:
the exposure and readout time specs are in us (ns are only internally
and for the ioctl)

----------------------------------------------------------------------
matthias  Tue Aug 17 13:06:00 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8398

Modified Files:
      Tag: v050pcd
	c4742-95-12to8-pcd.cam 
Log Message:
the exposure and readout times are us
fix some comments

----------------------------------------------------------------------
matthias  Tue Aug 17 15:51:58 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8571

Modified Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
the readout time is specified in us (camera structure)

----------------------------------------------------------------------
matthias  Tue Aug 17 15:52:23 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8579

Modified Files:
      Tag: v050pcd
	c4742-95-12to8-pcd.cam 
Log Message:
adjust the pri time to the exsync time

----------------------------------------------------------------------
matthias  Tue Aug 17 17:43:51 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8810

Modified Files:
      Tag: v050pcd
	config.l config.y itifgAM.c 
Log Message:
add support for the multi-board synchronization:
the first board is the master and all other boards sync to it
so this values are no longer settable via config file

----------------------------------------------------------------------
matthias  Tue Aug 17 17:43:51 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8810/cameras

Modified Files:
      Tag: v050pcd
	c4742-95-12to8-pcd.cam 
Log Message:
add support for the multi-board synchronization:
the first board is the master and all other boards sync to it
so this values are no longer settable via config file

----------------------------------------------------------------------
matthias  Wed Aug 18 17:47:58 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv18582

Modified Files:
      Tag: v050pcd
	amdigReg.c ampcvReg.c amvsReg.c icpciReg.c itifgAM.c 
	itifgAux.c itifgIoctl.c itifgIOP.c itifgMain.c itifgReg.c 
	osLx20.c osLx22.c pcdigReg.c itifgExt.h itifgOS.h 
Log Message:
support the different syslog levels (debug info notice warning error)
define the register_chardev/irq strings in OS.h
define the syslog string also there

----------------------------------------------------------------------
matthias  Wed Aug 18 17:49:37 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv18598

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
add a compat section (link icpci to itifg)
add defines for rm,cp,ln,mv
use TAGSFILE instead of 'tags'

----------------------------------------------------------------------
matthias  Thu Aug 19 14:01:19 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv26385

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
add an uninstall and compat (with icpci) section
CONFDIR/FPGADIR is now LIBDIR

----------------------------------------------------------------------
matthias  Thu Aug 19 14:02:12 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv26396

Modified Files:
      Tag: v050pcd
	INITD.itifg 
Log Message:
BASE_NAME distinguishs between itifg and icpci

----------------------------------------------------------------------
matthias  Thu Aug 19 14:02:38 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv26404

Modified Files:
      Tag: v050pcd
	MAKEDEV.itifg 
Log Message:
BASE_NAME distinguishs between itifg and icpci

----------------------------------------------------------------------
matthias  Thu Aug 19 14:09:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv26419

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
patch only, if the patch is available

----------------------------------------------------------------------
matthias  Fri Aug 20 10:16:57 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv2767

Added Files:
      Tag: v050pcd
	convert_sizes.sh 
Log Message:
script to read out MEMBASE and MEMSIZE from old init scripts and adjust the
new ones

----------------------------------------------------------------------
matthias  Mon Aug 23 09:24:26 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv22902

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
use the INSTALL_PREFIX define
add the convert_sizes.sh section to install
rewrite the library section to use config.c

----------------------------------------------------------------------
matthias  Mon Aug 23 09:25:17 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv22917

Added Files:
      Tag: v050pcd
	config.c 
Log Message:
library function to convert the exo config files into a byte stream

----------------------------------------------------------------------
matthias  Mon Aug 23 09:26:14 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv22931

Modified Files:
      Tag: v050pcd
	config.h 
Log Message:
some error defines and the prototype for the exo file conversion function
added

----------------------------------------------------------------------
matthias  Mon Aug 23 09:26:59 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv22949

Modified Files:
      Tag: v050pcd
	config.y 
Log Message:
fix some return values to more useful ones

----------------------------------------------------------------------
matthias  Mon Aug 23 09:29:09 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv22967

Modified Files:
      Tag: v050pcd
	config_pcdig.c 
Log Message:
the program now uses the library function
add the support to configure all or specified boards
use the compiled in libpath from the makefile to find the config files

----------------------------------------------------------------------
matthias  Mon Aug 23 09:30:15 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv22983

Modified Files:
      Tag: v050pcd
	extime_itifg.c 
Log Message:
simplify the code a little bit, no new features

----------------------------------------------------------------------
matthias  Mon Aug 23 09:31:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv22998

Modified Files:
      Tag: v050pcd
	swtrig_itifg.c 
Log Message:
now you can specify the board with -b (like all other util programs)

----------------------------------------------------------------------
matthias  Mon Aug 23 09:32:47 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv23016

Modified Files:
      Tag: v050pcd
	ioport_itifg.c 
Log Message:
fix the SET_STATS error in the signal handler
do some changes to unify the code of the util programs

----------------------------------------------------------------------
matthias  Mon Aug 23 09:33:38 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv23030

Modified Files:
      Tag: v050pcd
	pcdigReg.h 
Log Message:
the RES_INIT define is hidden when compiling in user space

----------------------------------------------------------------------
matthias  Mon Aug 23 09:34:22 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv23044

Modified Files:
      Tag: v050pcd
	INITD.itifg 
Log Message:
add a section to configure the PCDig's at reboot time

----------------------------------------------------------------------
matthias  Mon Aug 23 09:35:22 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv23059

Modified Files:
      Tag: v050pcd
	convert_sizes.sh 
Log Message:
echo MEMBASE/SIZE only, if no error is detected

----------------------------------------------------------------------
matthias  Fri Aug 27 10:01:21 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv15525

Added Files:
      Tag: v050pcd
	c4742-95-12bpp-pcd.cam c4742-95-10bpp-pcd.cam 
	c4742-95-10to8-pcd.cam 
Log Message:
some new PCDig config files for various depths

----------------------------------------------------------------------
matthias  Fri Aug 27 10:02:37 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15543

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
fix the config.y/config.c implicit rule bug
som installation fixes

----------------------------------------------------------------------
matthias  Fri Aug 27 10:04:04 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15561

Modified Files:
      Tag: v050pcd
	config.c 
Log Message:
add a cleanup secion (unmap/close files)
fix the strtol bug

----------------------------------------------------------------------
matthias  Fri Aug 27 10:04:54 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15575

Modified Files:
      Tag: v050pcd
	config.y 
Log Message:
test also the config_camcnf argument (NULL pointer)

----------------------------------------------------------------------
matthias  Fri Aug 27 10:06:07 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15595

Modified Files:
      Tag: v050pcd
	extime_itifg.c 
Log Message:
replace sys_errlist[errno] by strerror
include termios.h

----------------------------------------------------------------------
matthias  Fri Aug 27 10:07:00 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15615

Modified Files:
      Tag: v050pcd
	ioport_itifg.c swtrig_itifg.c 
Log Message:
include termios.h (default)

----------------------------------------------------------------------
matthias  Fri Aug 27 10:07:27 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15623

Modified Files:
      Tag: v050pcd
	config_pcdig.c 
Log Message:
replace sys_errlist[errno] by strerror
include termios.h

----------------------------------------------------------------------
matthias  Fri Aug 27 10:08:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15640

Modified Files:
      Tag: v050pcd
	osLx20.c osLx22.c 
Log Message:
fix some debugging outputs

----------------------------------------------------------------------
matthias  Fri Aug 27 10:09:43 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15660

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
test also the ARGUMENT return value from read_config

----------------------------------------------------------------------
matthias  Fri Aug 27 10:10:58 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv15683

Modified Files:
      Tag: v050pcd
	INITD.itifg 
Log Message:
support also the colored done-failed outputs of SuSe 6.X

----------------------------------------------------------------------
matthias  Fri Aug 27 10:14:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15734

Modified Files:
      Tag: v050pcd
	icpciReg.c 
Log Message:
use the new IS_REV_A/B macros

----------------------------------------------------------------------
matthias  Fri Aug 27 10:15:05 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15752

Modified Files:
      Tag: v050pcd
	itifgAM.c 
Log Message:
use the new IS_REV_B macro

----------------------------------------------------------------------
matthias  Fri Aug 27 10:32:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15767

Modified Files:
      Tag: v050pcd
	itifgAux.c 
Log Message:
add debugging output at the begin and end of enable_disable_irq
rename some enable_irq enums
fix which irq's have to be set/reset on icpci/pcdig boards
rewrite the clear_bma function to correctly support all depths
multiply (instead of shift) with the return of get_pixsz

----------------------------------------------------------------------
matthias  Fri Aug 27 10:33:39 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15790

Modified Files:
      Tag: v050pcd
	itifgInt.h 
Log Message:
rename some ITI_OP and ITI_EIRQ enums
extend the IS_REV_A/B macros to test for IS_ICPCI

----------------------------------------------------------------------
matthias  Fri Aug 27 10:36:05 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15812

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
add support to display/store also 16bpp images
add a command line option to choose the image depth
use the -a option only in non-blocked mode
do not test EINTR, add SA_RESTART to the sigaction instead

----------------------------------------------------------------------
matthias  Fri Aug 27 10:37:10 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv15833

Modified Files:
      Tag: v050pcd
	INITD.itifg 
Log Message:
echo the done/failed codes only, if they are set
add "" to the test -z -n lines

----------------------------------------------------------------------
matthias  Fri Aug 27 10:37:32 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv15844

Modified Files:
      Tag: v050pcd
	convert_sizes.sh 
Log Message:
add "" to the test -z -n lines

----------------------------------------------------------------------
matthias  Fri Aug 27 10:38:02 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv15859

Modified Files:
      Tag: v050pcd
	MAKEDEV.itifg 
Log Message:
add "" to the test -n -z lines

----------------------------------------------------------------------
matthias  Fri Aug 27 10:40:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15875

Modified Files:
      Tag: v050pcd
	osLx20.c osLx22.c 
Log Message:
fix the add/del_timer debugging output
add debugging to sleep/wakeup

----------------------------------------------------------------------
matthias  Fri Aug 27 10:47:33 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15895

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
simplify the vb grab/snap code a little bit (test for even/odd and in-vb
at the beginning)
use new GRAB/START-STOP opmodes (both uses gstat)
test for newaq also in grab mode 
split the former sinal into start/stop/sync/time
reset the h/v-dec at open time (cr < rev-a funcs allow dec_by_1)
test for icpci < rev_b and pcdig when branching to io-port code

----------------------------------------------------------------------
matthias  Fri Aug 27 10:51:53 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15907

Modified Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
adjust to the new opmodes/eirq-enums
test for snap busy at every ioctl, which changes the acqmd
only wait for signal in snap, when acting in blocking mode (no longer depends
on installed module)
when waiting for the next sync, use full frames (means two syncs when in
interlaced mode)
don't test for in/out vb, when selecting the starting field

----------------------------------------------------------------------
matthias  Fri Aug 27 11:05:16 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16424

Modified Files:
      Tag: v050pcd
	Makefile 
Added Files:
      Tag: v050pcd
	convert.c 
Removed Files:
      Tag: v050pcd
	config.c 
Log Message:
sometimes make tries to biuld config.c from config.y, so we rename config.c
to convert.c

----------------------------------------------------------------------
matthias  Fri Aug 27 17:30:18 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16745

Modified Files:
      Tag: v050pl
	icpciAux.c 
Log Message:
don't disable the io-port interrupt by default

----------------------------------------------------------------------
matthias  Fri Aug 27 17:38:47 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16767

Modified Files:
      Tag: v050pl
	icpciIoctl.c 
Log Message:
fix some if-else brackets

----------------------------------------------------------------------
matthias  Fri Aug 27 17:39:46 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16781

Modified Files:
      Tag: v050pl
	icpciMain.c 
Log Message:
fisr the first buffer number in timeout/grab

----------------------------------------------------------------------
matthias  Fri Aug 27 17:40:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16795

Modified Files:
      Tag: v050pl
	icpciReg.c 
Log Message:
add some missing 'brakes' in set_hdec

----------------------------------------------------------------------
matthias  Fri Aug 27 17:41:04 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16809

Modified Files:
      Tag: v050pl
	ioport_icpci.c 
Log Message:
we want to GET_STATS (not SET)

----------------------------------------------------------------------
matthias  Fri Aug 27 17:58:52 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16878

Modified Files:
      Tag: v050pcd
	osLx20.c osLx22.c 
Log Message:
sone debugging output fixes

----------------------------------------------------------------------
matthias  Fri Aug 27 17:59:26 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16892

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
add the FREEZE ioctl at the end of main

----------------------------------------------------------------------
matthias  Fri Aug 27 18:00:16 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16906

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
if opmode is TIME iti.timeout is NOT set in iti_timeout

----------------------------------------------------------------------
matthias  Fri Aug 27 18:02:29 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16923

Modified Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
if the PCDig is not in GRAB/SNAP mode, no interrupts occur - so we wait not
in GRAB_STOP/SYNC mode - time mode is the right choise
also adjust the expire (fps) value, when changing the exposure time
(only PCDig)

----------------------------------------------------------------------
matthias  Wed Sep  1 14:43:30 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv29020

Modified Files:
      Tag: v050pcd
	c4742-95-10bpp-pcd.cam c4742-95-10to8-pcd.cam 
	c4742-95-12bpp-pcd.cam c4742-95-12to8-pcd.cam 
Log Message:
enable the pri output per default

----------------------------------------------------------------------
matthias  Wed Sep  1 14:44:44 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv29045

Modified Files:
      Tag: v050pcd
	convert_sizes.sh 
Log Message:
use PATH to find the programs
test MEMBASE/SIZE also for zero length

----------------------------------------------------------------------
matthias  Wed Sep  1 14:46:27 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv29064

Modified Files:
      Tag: v050pcd
	INITD.itifg 
Log Message:
use PATH to find the commands
touch and remove /var/lock/subsys/... (RedHat)

----------------------------------------------------------------------
matthias  Wed Sep  1 14:47:07 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv29075

Modified Files:
      Tag: v050pcd
	MAKEDEV.itifg 
Log Message:
use PATH to find the commands (no longer absolut pathes)

----------------------------------------------------------------------
matthias  Wed Sep  1 14:47:59 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29094

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
build the library BEFORE building the programs

----------------------------------------------------------------------
matthias  Wed Sep  1 14:49:06 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29109

Modified Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
expire time is (exposure time + readout_time) * 1.25

----------------------------------------------------------------------
matthias  Wed Sep  1 14:49:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29127

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
check for FPGA_OK also in interrupt/timeout/task_queue handler

----------------------------------------------------------------------
matthias  Wed Sep  1 14:51:06 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv29145

Modified Files:
      Tag: v050pcd
	itifgReg.c 
Log Message:
only check the special interrupts, if the main one's are detected

----------------------------------------------------------------------
matthias  Wed Sep  1 16:30:13 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv958

Modified Files:
      Tag: v050pcd
	ioport_itifg.c 
Log Message:
add also support for blocking read (-s0)

----------------------------------------------------------------------
matthias  Wed Sep  1 16:30:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv972

Modified Files:
      Tag: v050pcd
	itifgInt.h 
Log Message:
fix the IS_AMNO macro
add prototypes for cam_iop_timeout

----------------------------------------------------------------------
matthias  Wed Sep  1 16:31:28 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv986

Modified Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
a minor debugging output fix

----------------------------------------------------------------------
matthias  Wed Sep  1 16:33:05 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1005

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
fix the io-port interrupt handler (copying/wakeup)
actual implementation of the cam/iop_timeout functions

----------------------------------------------------------------------
matthias  Wed Sep  1 16:33:48 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1016

Modified Files:
      Tag: v050pcd
	osLx20.c osLx22.c 
Log Message:
change add_timer to support the different cam/iop_timeout fuctions

----------------------------------------------------------------------
matthias  Fri Sep  3 09:44:55 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv28579

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
prepare for the new test_itifg.4 manpage

----------------------------------------------------------------------
matthias  Fri Sep  3 09:45:29 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv28593

Modified Files:
      Tag: v050pcd
	amdigReg.h 
Log Message:
fix the LVAR mask

----------------------------------------------------------------------
matthias  Fri Sep  3 09:46:15 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv28607

Modified Files:
      Tag: v050pcd
	itifg.de.4 
Log Message:
fix the name

----------------------------------------------------------------------
matthias  Fri Sep  3 09:48:06 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv28630

Modified Files:
      Tag: v050pcd
	itifgInt.h itifgIoctl.c itifgMain.c itifgAM.c 
Log Message:
set the new exstime value in interrupt handler (no wrong times at the
moment of change)

----------------------------------------------------------------------
matthias  Fri Sep  3 09:50:57 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv28663

Added Files:
      Tag: v050pcd
	test_itifg.de.1 
Log Message:
manual page for all test and utility programs

----------------------------------------------------------------------
matthias  Fri Sep  3 13:35:09 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv30052

Modified Files:
      Tag: v050pcd
	test_itifg.de.1 
Log Message:
document some test_itifg options

----------------------------------------------------------------------
matthias  Fri Sep 17 14:29:31 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8238

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
minor install patch

----------------------------------------------------------------------
matthias  Fri Sep 17 14:30:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8252

Modified Files:
      Tag: v050pcd
	amdigReg.h 
Log Message:
fix some typo mistakes

----------------------------------------------------------------------
matthias  Fri Sep 17 14:34:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8283

Modified Files:
      Tag: v050pcd
	itifgAux.c 
Log Message:
correct some typo's
introduce the src_init and dst_init functions
modify the bma_init function
bma->umb

----------------------------------------------------------------------
matthias  Fri Sep 17 14:36:41 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8323

Modified Files:
      Tag: v050pcd
	itifgExt.h itifgInt.h itifgIoctl.c itifgMain.c 
Log Message:
rename bma to umb
use the new src/sdt_init functions

----------------------------------------------------------------------
matthias  Fri Sep 17 14:37:12 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8331

Modified Files:
      Tag: v050pcd
	itifgOS.h 
Log Message:
declare the variables used by src/sdt_init and the irq-handler

----------------------------------------------------------------------
matthias  Fri Sep 17 14:38:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8353

Modified Files:
      Tag: v050pcd
	osLx20.c osLx22.c 
Log Message:
rename bma to umb

----------------------------------------------------------------------
matthias  Fri Sep 17 14:39:03 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8367

Modified Files:
      Tag: v050pcd
	pcdigReg.c pcdigReg.h 
Log Message:
the srcsg and dstsg funcs are replaced by src/dst_init in itifgAux.c

----------------------------------------------------------------------
matthias  Fri Sep 17 14:42:56 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8386

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
replace bma by umb

----------------------------------------------------------------------
matthias  Fri Sep 17 14:43:11 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8394

Modified Files:
      Tag: v050pcd
	test_itifg.de.1 
Log Message:
some more text

----------------------------------------------------------------------
matthias  Fri Sep 17 14:44:00 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8410/cameras

Modified Files:
      Tag: v050pcd
	cv-m10-ni.cam 
Log Message:


----------------------------------------------------------------------
matthias  Fri Sep 17 15:03:42 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8527

Added Files:
      Tag: v050pcd
	mega+63i.cam 
Log Message:
config file for the Kodak MegaPlus 6.3i (8bit)

----------------------------------------------------------------------
matthias  Fri Sep 17 15:06:25 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8552

Modified Files:
      Tag: v050pcd
	itifgAM.c 
Log Message:
the PCDig storage order, board configuration and valid pixel clock edge
is now in viam_startup

----------------------------------------------------------------------
matthias  Fri Sep 17 15:08:05 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8570

Modified Files:
      Tag: v050pcd
	osLx20.c 
Log Message:
new fuction check_user_to_bus (not used yet)
no debugging output in del_timer sleep/wakeup
if malloc failed, return EAGAIN

----------------------------------------------------------------------
matthias  Fri Sep 17 15:08:27 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8581

Modified Files:
      Tag: v050pcd
	osLx22.c 
Log Message:
if malloc failed, return EAGAIN

----------------------------------------------------------------------
matthias  Fri Sep 17 15:09:21 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8604

Modified Files:
      Tag: v050pcd
	pcdigReg.c 
Log Message:
mask out the higher bits at most _get_ functions

----------------------------------------------------------------------
matthias  Fri Sep 17 15:10:07 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8619

Modified Files:
      Tag: v050pcd
	pcdigReg.h 
Log Message:
minor structure fixes
new oct structures

----------------------------------------------------------------------
matthias  Fri Sep 17 15:11:56 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8633

Modified Files:
      Tag: v050pcd
	itifgOS.h 
Log Message:
rename the immediate transfer variables
the on-board memory access functions are mem???_io again

----------------------------------------------------------------------
matthias  Fri Sep 17 15:12:22 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8651

Modified Files:
      Tag: v050pcd
	itifgIOP.c 
Log Message:
sone debugging fixes

----------------------------------------------------------------------
matthias  Fri Sep 17 15:13:52 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8669

Modified Files:
      Tag: v050pcd
	itifgInt.h 
Log Message:
some new members of the vcr structure
new bma_dst_init modes
new intadr element in the imm_trans section

----------------------------------------------------------------------
matthias  Fri Sep 17 15:15:20 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8685

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
prepare for the uio operation mode

----------------------------------------------------------------------
matthias  Fri Sep 17 15:19:27 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8702

Modified Files:
      Tag: v050pcd
	itifgIoctl.c 
Log Message:
call mem_init also in HVDEC
take care of the imm_trans flag in SNAP
call src/dst_init every time when starting a image acquisition
prepare grab for uio (commented out)

----------------------------------------------------------------------
matthias  Fri Sep 17 15:51:30 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8736

Modified Files:
      Tag: v050pcd
	itifgAux.c 
Log Message:
init new vcr switch elements in cr_init
clear LUT/OCT/DMA tables in cr_init (PCDig)
use memcpy_fromio and copyout again (temporary buffer)
h/vdec is already used in mem_init
no src/dst_init in mem/umb_init (now at the begin of every grab/snap)
rewrite and extend the src/dst init funcs

----------------------------------------------------------------------
matthias  Fri Sep 17 15:55:15 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8748

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
init the imm_trans section of iti
add a acquisition interrupt section to iti_intr
ajust the vb and bma interrupts the take care of the new imm_trans mode
some changes in bma-copy
disable fpga_ok and all interrupts during PCDig fpga-download

----------------------------------------------------------------------
matthias  Fri Sep 17 16:41:03 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9074

Modified Files:
      Tag: v050pcd
	test_itifg.c 
Log Message:
minor typo changes

----------------------------------------------------------------------
matthias  Fri Sep 17 16:42:33 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9082

Modified Files:
      Tag: v050pcd
	osLx22.c 
Log Message:
adjust to match the 20 changes

----------------------------------------------------------------------
matthias  Fri Sep 17 16:43:28 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv9099

Modified Files:
      Tag: v050pcd
	mega+63i.cam 
Log Message:
change board number to default (0)

----------------------------------------------------------------------
matthias  Mon Sep 20 16:19:49 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv32017

Modified Files:
      Tag: v050pcd
	itifgAux.c 
Log Message:
since we call disable_irq BEFORE downloading the fpga, we have to check
FPGA_OK, when we call vcr functions

----------------------------------------------------------------------
matthias  Mon Sep 20 16:20:13 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv32025

Modified Files:
      Tag: v050pcd
	INITD.itifg 
Log Message:
bma->umb naming changes

----------------------------------------------------------------------
matthias  Wed Sep 22 13:35:40 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv18669

Removed Files:
      Tag: v050pl
	amclr-0.5.0.patch.tgz amrgb-0.5.0.patch.tgz 
Log Message:
replaced by the correspondent 0.5.1 patches

----------------------------------------------------------------------
matthias  Wed Sep 22 13:35:57 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv18677

Added Files:
      Tag: v050pl
	amclr-0.5.1.patch.tgz amrgb-0.5.1.patch.tgz 
Log Message:
replaces the 0.5.0 patches

----------------------------------------------------------------------
matthias  Wed Sep 22 13:36:24 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv18685

Added Files:
      Tag: v050pl
	amcmp-0.5.1.patch.tgz 
Log Message:
new patch for the AM-STD/COMP color acquisition module

----------------------------------------------------------------------
matthias  Wed Sep 22 13:37:16 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv18699

Added Files:
      Tag: v050pl
	icpci-0.5.1.lsm 
Removed Files:
      Tag: v050pl
	icpci-0.5.0.lsm 
Log Message:
the 0.5.1 file replaces the 0.5.0 one

----------------------------------------------------------------------
matthias  Wed Sep 22 13:38:34 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv18718

Modified Files:
      Tag: v050pl
	MAKEDEV.icpci 
Log Message:
script completely rewritten
name sare composed, numbers are calculated

----------------------------------------------------------------------
matthias  Wed Sep 22 13:40:29 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv18739

Modified Files:
      Tag: v050pl
	README 
Log Message:
adjusted to the new release

----------------------------------------------------------------------
matthias  Wed Sep 22 13:41:16 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv18774

Modified Files:
      Tag: v050pl
	RELNOTES 
Log Message:
0.5.1 version notes added

----------------------------------------------------------------------
matthias  Wed Sep 22 13:42:22 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv18797

Modified Files:
      Tag: v050pl
	Makefile 
Log Message:
add the define for the amcmp-patch
the patch section is splitted to three independent ones

----------------------------------------------------------------------
matthias  Wed Sep 22 13:46:03 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv18818

Modified Files:
      Tag: v050pl
	icpci.de.4 icpci.us.4 
Log Message:
take care of the new io-port and hardware decimation features
fix the renaming of some BMA and MEM ioctls
new major0 and major1 command line options

----------------------------------------------------------------------
matthias  Wed Sep 22 13:46:34 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv18832

Modified Files:
      Tag: v050pl
	amdigReg.h 
Log Message:
fix some typos and the LVAR_MASK

----------------------------------------------------------------------
matthias  Wed Sep 22 13:47:13 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv18852

Modified Files:
      Tag: v050pl
	osLx20.c osLx22.c icpciIoctl.c 
Log Message:
adjust the version name and number

----------------------------------------------------------------------
matthias  Wed Sep 22 13:47:38 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv18866

Modified Files:
      Tag: v050pl
	icpciAux.c 
Log Message:
fix some error messages

----------------------------------------------------------------------
matthias  Wed Sep 22 15:38:45 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv19145

Modified Files:
      Tag: v050pl
	Makefile 
Log Message:
stdout and sterr shoud go intol the patch.log file

----------------------------------------------------------------------
matthias  Mon Oct  4 18:03:49 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv16327

Added Files:
      Tag: v050pcd
	amclr-0.5.1.patch.tgz amrgb-0.5.1.patch.tgz 
	amcmp-0.5.1.patch.tgz 
Removed Files:
      Tag: v050pcd
	amclr-0.5.0.patch.tgz amrgb-0.5.0.patch.tgz 
Log Message:
the 0.5.0 files are replaced by their 0.5.1 successors
the AM-STD/COMP patchfile is new

----------------------------------------------------------------------
matthias  Mon Oct  4 18:05:11 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv16345

Modified Files:
      Tag: v050pcd
	MAKEDEV.itifg 
Log Message:
the module name is also taken from correspondent variable (MODULE)

----------------------------------------------------------------------
matthias  Mon Oct  4 18:06:38 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv16371

Modified Files:
      Tag: v050pcd
	RELNOTES 
Log Message:
merged with the 0.5.1 RELNOTES
new 0.6.0 section added

----------------------------------------------------------------------
matthias  Mon Oct  4 18:07:36 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv16389

Modified Files:
      Tag: v050pcd
	itifg-0.6.0.lsm 
Log Message:
adjusted to match the 0.6.0 requirements (new driver name, PCDig support
size)

----------------------------------------------------------------------
matthias  Mon Oct  4 18:08:59 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv16404

Modified Files:
      Tag: v050pcd
	README 
Log Message:
0.5.1 changes merged
itifg name change
bma->umb name change
PCDig adjutments (config_pcdig)

----------------------------------------------------------------------
matthias  Mon Oct  4 18:09:27 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16426

Modified Files:
      Tag: v050pcd
	test_itifg.de.1 
Log Message:


----------------------------------------------------------------------
matthias  Mon Oct  4 18:10:19 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16440

Modified Files:
      Tag: v050pcd
	osLx20.c osLx22.c 
Log Message:
fix iti_WAIT_LOOP to ICP_WAIT_LOOP
release date adjusted

----------------------------------------------------------------------
matthias  Mon Oct  4 18:11:19 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16457

Modified Files:
      Tag: v050pcd
	itifg.de.4 itifg.us.4 
Log Message:
0.5.1 changes merged
new 0.6.0 features added (PCDig etc.)

----------------------------------------------------------------------
matthias  Mon Oct  4 18:12:20 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16483

Modified Files:
      Tag: v050pcd
	extime_itifg.c ioport_itifg.c swtrig_itifg.c 
Log Message:
the command name is taken from argv[0]

----------------------------------------------------------------------
matthias  Mon Oct  4 18:13:03 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16491

Modified Files:
      Tag: v050pcd
	config_pcdig.c 
Log Message:
DEF_LIBDIR is renamed to DEF_CNFDIR (LIBDIR is for the libraries)

----------------------------------------------------------------------
matthias  Mon Oct  4 18:14:58 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv16512

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
merged with the 0.5.1 features (per module patch)
fix the K15icpci -> icpci errors
rename DEF_LIBDIR to DEF_CNFDIR
install the libraries into the new LIBDIR

----------------------------------------------------------------------
matthias  Tue Oct  5 10:40:44 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv25009

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:
correct to ICP_WAIT_LOOP

----------------------------------------------------------------------
matthias  Tue Oct  5 10:41:24 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv25020

Modified Files:
      Tag: v050pcd
	itifgMain.c 
Log Message:
the exposure time have to be set on the master board

----------------------------------------------------------------------
matthias  Tue Oct  5 11:29:32 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv25107

Modified Files:
      Tag: v050pcd
	Makefile 
Log Message:


----------------------------------------------------------------------
matthias  Tue Oct  5 15:25:05 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv25209

Modified Files:
      Tag: v050pcd
	README 
Log Message:


----------------------------------------------------------------------
matthias  Tue Oct  5 15:59:27 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv25511

Removed Files:
	MAKEDEV.icpci icpci-0.5.0.lsm icpci-2.0.36.diff 
	icpci-2.2.5.diff 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:04:06 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv25548

Modified Files:
	README RELNOTES 
Added Files:
	INITD.itifg MAKEDEV.itifg convert_sizes.sh itifg-0.6.0.lsm 
	itifg-2.0.36.diff itifg-2.2.5.diff 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:04:45 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv25563

Removed Files:
	amclr-0.5.0.patch.tgz amrgb-0.5.0.patch.tgz 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:05:08 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv25574

Added Files:
	amclr-0.5.1.patch.tgz amcmp-0.5.1.patch.tgz 
	amrgb-0.5.1.patch.tgz 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:05:59 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv25585

Modified Files:
	cv-m10-ni.cam xc75-ce-pcv.cam 
Added Files:
	c4742-95-10bpp-pcd.cam c4742-95-10to8-pcd.cam 
	c4742-95-12bpp-pcd.cam c4742-95-12to8-pcd.cam mega+63i.cam 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:07:02 MEST 1999

Update of /icpci/icpci/fpgafiles
In directory bilbo:/tmp/cvs-serv25600

Added Files:
	p1b1tn00.exo p1b1tp00.exo p2b1tn00.exo p2b1tp00.exo 
	p2b2tn00.exo p2b2tp00.exo p3b1tn00.exo p3b1tp00.exo 
	p4b1tn00.exo p4b1tp00.exo p4b2tn00.exo p4b2tp00.exo 
	p4b4tn00.exo p4b4tp00.exo pcddiag.exo 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:09:19 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv25622

Removed Files:
	test_icpci.c swtrig_icpci.c extime_icpci.c icpci.de.4 
	icpci.us.4 icpciAM.c icpciAux.c icpciExt.h icpciInt.h 
	icpciIoctl.c icpciMain.c icpciOS.h 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:12:58 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv25633

Added Files:
	config_pcdig.c convert.c extime_itifg.c ioport_itifg.c 
	itifg.de.4 itifg.us.4 itifgAM.c itifgAux.c itifgExt.h 
	itifgIOP.c itifgInt.h itifgIoctl.c itifgMain.c itifgOS.h 
	itifgReg.c itifgReg.h pcdigReg.c pcdigReg.h swtrig_itifg.c 
	test_itifg.c test_itifg.de.1 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:13:46 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv25644

Modified Files:
	Makefile amdigReg.c amdigReg.h ampcvReg.c ampcvReg.h amvsReg.c 
	config.h config.l config.y icpciReg.c icpciReg.h osLx20.c 
	osLx22.c 
Log Message:
0.6.0 merge time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:16:26 MEST 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv25682

Modified Files:
      Tag: 6.0
	convert_sizes.sh INITD.itifg itifg-0.6.0.lsm itifg-2.0.36.diff 
	itifg-2.2.5.diff LICENSE MAKEDEV.itifg README RELNOTES 
Log Message:
0.6.0 release time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:16:40 MEST 1999

Update of /icpci/icpci/patches
In directory bilbo:/tmp/cvs-serv25690

Modified Files:
      Tag: 6.0
	amclr-0.5.1.patch.tgz amcmp-0.5.1.patch.tgz 
	amrgb-0.5.1.patch.tgz 
Log Message:
0.6.0 release time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:16:54 MEST 1999

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv25698

Modified Files:
      Tag: 6.0
	c4742-95-10bpp.cam c4742-95-10bpp-pcd.cam c4742-95-10to8.cam 
	c4742-95-10to8-pcd.cam c4742-95-12bpp.cam 
	c4742-95-12bpp-pcd.cam c4742-95-12to8.cam 
	c4742-95-12to8-pcd.cam c4742-95-init.sh cad4-1024a-free.cam 
	cad4-1024a-trg.cam clc5-2048a-1kn.cam clc5-2048a-1kw.cam 
	clc5-2048a-4kn.cam clc5-2048a-4kw.cam clc5-2048a-8kn.cam 
	clc5-2048a-8kw.cam cv-m10-fr.cam cv-m10-il.cam cv-m10-ni.cam 
	cv-m10-ni-pcv.cam cv-m10-tr.cam cv-m10-vs.cam 
	cv-m1-20pll-pcv.cam cv-m1-vs-pcv.cam cv-m50.cam mega+14.cam 
	mega+63i.cam xc75-ce.cam xc75-ce-pcv.cam xc75-ce-trg.cam 
	xc75-rs.cam xc75-rs-pcv.cam 
Log Message:
0.6.0 release time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:17:39 MEST 1999

Update of /icpci/icpci/fpgafiles
In directory bilbo:/tmp/cvs-serv25706

Modified Files:
      Tag: 6.0
	p1b1tn00.exo p1b1tp00.exo p2b1tn00.exo p2b1tp00.exo 
	p2b2tn00.exo p2b2tp00.exo p3b1tn00.exo p3b1tp00.exo 
	p4b1tn00.exo p4b1tp00.exo p4b2tn00.exo p4b2tp00.exo 
	p4b4tn00.exo p4b4tp00.exo pcddiag.exo 
Log Message:
0.6.0 release time

----------------------------------------------------------------------
matthias  Tue Oct  5 16:19:46 MEST 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv25718

Modified Files:
      Tag: 6.0
	ChangeLog.old Makefile config.l config.y itifg.de.4 itifg.us.4 
	test_itifg.de.1 amdigReg.c ampcvReg.c amvsReg.c config_pcdig.c 
	convert.c extime_itifg.c icpciReg.c ioport_itifg.c itifgAM.c 
	itifgAux.c itifgIoctl.c itifgIOP.c itifgMain.c itifgReg.c 
	osLx20.c osLx22.c pcdigReg.c swtrig_itifg.c test_itifg.c 
	amdigReg.h ampcvReg.h amvsReg.h config.h icpciReg.h itifgExt.h 
	itifgInt.h itifgOS.h itifgReg.h pcdigReg.h 
Log Message:
0.6.0 release time

----------------------------------------------------------------------
matthias  Wed Nov  3 10:46:36 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8308

Modified Files:
      Tag: v060exp
	Makefile 
Log Message:
SVAE_TIFF option for test_itifg added

----------------------------------------------------------------------
matthias  Wed Nov  3 10:47:06 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8316

Modified Files:
      Tag: v060exp
	test_itifg.c 
Log Message:
completely new structured and rewritten

----------------------------------------------------------------------
matthias  Wed Nov  3 11:21:52 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv8929

Modified Files:
      Tag: v060exp
	Makefile config_pcdig.c itifgAux.c itifgExt.h itifgIOP.c 
	itifgInt.h itifgIoctl.c itifgMain.c itifgOS.h osLx20.c 
	test_itifg.c 
Log Message:
simplify the ioctl interface with GRAB/SNAPMODE
calculate buffer offset's in users space rather than using ioctl's
reactivate the old WIDHT/HEIGHT/RAWSIZE/PAGEDSIZE interface
new global flags immediate, trigger, wraparound, sequential
count is replaced by actualcnt, get_fcnt is replaced by desiredcnt
use a read_buffer pointer to copy in select (Urghhh...)

----------------------------------------------------------------------
matthias  Wed Nov  3 11:44:46 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9159

Modified Files:
      Tag: v060exp
	Makefile config_pcdig.c itifgAux.c itifgExt.h itifgIOP.c 
	itifgInt.h itifgIoctl.c itifgMain.c itifgOS.h osLx20.c 
	swtrig_itifg.c test_itifg.c 
Log Message:
unify the GRAB/SNAP interface (ioctl and intr)
remove the framewait flag

----------------------------------------------------------------------
matthias  Wed Nov  3 13:10:39 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9430

Modified Files:
      Tag: v060exp
	MAKEDEV.itifg 
Log Message:
adapted to the experimental device interface

----------------------------------------------------------------------
matthias  Wed Nov  3 13:13:45 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9451

Modified Files:
      Tag: v060exp
	Makefile config_pcdig.c icpciReg.c itifgAM.c itifgAux.c 
	itifgExt.h itifgIOP.c itifgInt.h itifgIoctl.c itifgMain.c 
	itifgOS.h itifgReg.c osLx20.c pcdigReg.c swtrig_itifg.c 
	test_itifg.c 
Log Message:
new experimental syscall interface (lseek, fasync, fsync)
mem and umb structure replaced by buf structure
cur_buf /buffer replaced by read/write offset

----------------------------------------------------------------------
matthias  Mon Nov 22 12:22:25 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15441

Modified Files:
      Tag: v060pl
	config.h 
Log Message:
fix PCD_ENABLE in GLITCH_DETECTOR

----------------------------------------------------------------------
matthias  Mon Nov 22 12:23:55 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15460

Modified Files:
      Tag: v060pl
	config.y 
Log Message:
fix the double string case numbers (pcdig trigger)
take care of the new ARGUMENT error in test_config

----------------------------------------------------------------------
matthias  Mon Nov 22 12:24:17 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15474

Modified Files:
      Tag: v060pl
	config_pcdig.c 
Log Message:


----------------------------------------------------------------------
matthias  Mon Nov 22 12:24:53 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15488

Modified Files:
      Tag: v060pl
	ioport_itifg.c 
Log Message:
the cmd line switch for the sampling time is 't'

----------------------------------------------------------------------
matthias  Mon Nov 22 12:25:15 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15502

Modified Files:
      Tag: v060pl
	itifg.us.4 
Log Message:


----------------------------------------------------------------------
matthias  Mon Nov 22 12:26:15 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv15516

Modified Files:
      Tag: v060pl
	INITD.itifg 
Log Message:
forget any error messages while creating/removing /var/lock/subsys/...

----------------------------------------------------------------------
matthias  Mon Nov 22 12:27:10 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15530

Modified Files:
      Tag: v060pl
	test_itifg.c 
Log Message:
test and fix the SaveImage code fragments

----------------------------------------------------------------------
matthias  Mon Nov 22 17:12:23 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15636

Modified Files:
      Tag: v060pl
	pcdigReg.c pcdigReg.h 
Log Message:
trigdiv and divcnt fixed

----------------------------------------------------------------------
matthias  Mon Nov 22 17:13:29 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15654

Modified Files:
      Tag: v060pl
	osLx20.c osLx22.c 
Log Message:
new proc filesystem support added
the ident line is no longer hard-coded

----------------------------------------------------------------------
matthias  Mon Nov 22 17:14:07 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15668

Modified Files:
      Tag: v060pl
	itifgOS.h 
Log Message:
define the proc filesystem string

----------------------------------------------------------------------
matthias  Mon Nov 22 17:15:12 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15686

Modified Files:
      Tag: v060pl
	itifgMain.c 
Log Message:
use the vfs switch also for gstat
test for select exeption only in snap mode

----------------------------------------------------------------------
matthias  Mon Nov 22 17:19:26 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15702

Modified Files:
      Tag: v060pl
	itifgInt.h 
Log Message:


----------------------------------------------------------------------
matthias  Mon Nov 22 17:21:05 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15720

Modified Files:
      Tag: v060pl
	itifgAux.c 
Log Message:
only debug output for enable bma irq

----------------------------------------------------------------------
matthias  Mon Nov 22 17:21:47 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15734

Modified Files:
      Tag: v060pl
	itifgIOP.c 
Log Message:
the main interrupt have to be disabled after closing

----------------------------------------------------------------------
matthias  Mon Nov 22 17:29:42 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv15754

Modified Files:
      Tag: v060pl
	itifgIoctl.c 
Log Message:
grabbing is needed for write memory access at the pcdig
if not in grabbing mode, the exposure time is updated immediately

----------------------------------------------------------------------
matthias  Mon Nov 29 13:51:28 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv446

Modified Files:
      Tag: v060pl
	osLx22.c 
Log Message:
the max membase value is 959 (64Mb reserved for vmalloc)

----------------------------------------------------------------------
matthias  Mon Nov 29 13:52:45 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv460

Modified Files:
      Tag: v060pl
	config.h convert.c config_pcdig.c 
Log Message:
we test now weather the module supports the pcdig or not (older ones)

----------------------------------------------------------------------
matthias  Mon Nov 29 13:53:58 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv472

Modified Files:
      Tag: v060pl
	INITD.itifg 
Log Message:
extended awk commands to find out the lilo membase
the makedev and config programs are only executed, if they exists

----------------------------------------------------------------------
matthias  Mon Nov 29 13:54:41 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv482

Modified Files:
      Tag: v060pl
	MAKEDEV.itifg 
Log Message:
support also the old style MAKEDEV program (only one major device number)

----------------------------------------------------------------------
matthias  Mon Nov 29 13:55:36 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv492

Modified Files:
      Tag: v060pl
	convert_sizes.sh 
Log Message:
new style awk command to get mem-base/size
min and max base/size values adjusted

----------------------------------------------------------------------
matthias  Mon Nov 29 13:56:43 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv506

Modified Files:
      Tag: v060pl
	Makefile 
Log Message:
the compat section now moves the files rather than make links

----------------------------------------------------------------------
matthias  Mon Nov 29 16:50:44 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv629

Modified Files:
      Tag: v060pl
	Makefile 
Log Message:
links can't be moved -> we have to replace it

----------------------------------------------------------------------
matthias  Fri Dec  3 11:32:30 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31805

Modified Files:
      Tag: v060pl
	Makefile 
Log Message:
the header files are also installed
fix the creation of some directories

----------------------------------------------------------------------
matthias  Fri Dec  3 11:33:19 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31815

Modified Files:
      Tag: v060pl
	itifg.de.4 itifg.us.4 
Log Message:
fix the install tree (include files)

----------------------------------------------------------------------
matthias  Fri Dec  3 11:34:19 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31827

Modified Files:
      Tag: v060pl
	itifgInt.h itifgIoctl.c 
Log Message:
use '#' instead of '##' in the CHECK_FOR_EIO macro

----------------------------------------------------------------------
matthias  Fri Dec  3 14:12:16 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv32110

Modified Files:
      Tag: v060pl
	itifgInt.h itifgAux.c osLx20.c osLx22.c 
Log Message:
if any board is under control of the device driver, mark the version number
in the mailbox register 1 - this is against loading of multiple modules with
different names

----------------------------------------------------------------------
matthias  Fri Dec  3 15:32:01 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv32304

Modified Files:
      Tag: v060pl
	itifgIoctl.c itifgAux.c osLx20.c osLx22.c 
Log Message:
the first patchlevel is without any index, then we count a,b,c...

----------------------------------------------------------------------
matthias  Fri Dec  3 15:32:38 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv32312/release

Modified Files:
      Tag: v060pl
	RELNOTES 
Log Message:
update for release 0.6.0a

----------------------------------------------------------------------
matthias  Tue Dec  7 17:40:21 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv32380

Added Files:
      Tag: v060aexp
	itifg_diagnose.sh 
Log Message:
dialog (curses) based shell script to easyly find installation /
configuration problems

----------------------------------------------------------------------
matthias  Tue Dec  7 17:40:48 MET 1999

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv32388

Added Files:
      Tag: v060aexp
	itifg_umbsetup.sh 
Log Message:
dialog (curses) based program to setup the reserved memory area

----------------------------------------------------------------------
matthias  Tue Dec  7 17:41:30 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv32399

Modified Files:
      Tag: v060aexp
	itifgAux.c itifgMain.c itifgIoctl.c 
Log Message:
modified to support dual buffer grabbing (only test version)

----------------------------------------------------------------------
matthias  Tue Dec  7 17:44:19 MET 1999

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv32423

Modified Files:
      Tag: v060aexp
	test_itifg.c 
Log Message:
fixed new test program from the v060exp (new_test...) branch
extended with support for more than one board (via fork/wait)

----------------------------------------------------------------------
matthias  Tue May  2 10:15:57 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv9555

Added Files:
      Tag: v060pl
	clp1-4096w-pcd.cam hitachi-kpf100.cam smd6m3p.cam 
Log Message:
some user contributed config files added

----------------------------------------------------------------------
matthias  Tue May  2 10:16:48 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9570

Added Files:
      Tag: v060pl
	itifg_diagnose.sh itifg_umbsetup.sh 
Log Message:
some scripts to maintail the bma base and size values user friendly

----------------------------------------------------------------------
matthias  Tue May  2 10:17:03 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9578

Modified Files:
      Tag: v060pl
	RELNOTES INITD.itifg 
Log Message:


----------------------------------------------------------------------
matthias  Tue May  2 10:17:54 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9593

Modified Files:
      Tag: v060pl
	Makefile 
Log Message:
the default INSTALL_PREFIX was wrong

----------------------------------------------------------------------
matthias  Tue May  2 10:18:34 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9609

Modified Files:
      Tag: v060pl
	itifgAux.c 
Log Message:
minor patches

----------------------------------------------------------------------
matthias  Tue May  2 10:19:14 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9623

Modified Files:
      Tag: v060pl
	itifgIoctl.c 
Log Message:
update the expire value only, if in exsync_free_running mode

----------------------------------------------------------------------
matthias  Tue May  2 10:19:42 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9637

Modified Files:
      Tag: v060pl
	itifgMain.c 
Log Message:
fix a debug version bug

----------------------------------------------------------------------
matthias  Tue May  2 10:20:43 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9656

Modified Files:
      Tag: v060pl
	osLx20.c 
Log Message:
fix some linux2.0 verify_area stuff in ioctl

----------------------------------------------------------------------
matthias  Tue May  2 10:21:24 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9670

Modified Files:
      Tag: v060pl
	osLx22.c 
Log Message:
fix the driver revision output

----------------------------------------------------------------------
matthias  Thu May 25 11:57:06 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv518

Modified Files:
      Tag: v060aexp2
	itifgAux.c 
Log Message:
decode_devno is more device device independent

----------------------------------------------------------------------
matthias  Thu May 25 11:57:57 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv532

Modified Files:
      Tag: v060aexp2
	itifgBuf.c 
Log Message:
some fixes to make the debugging output easier

----------------------------------------------------------------------
matthias  Thu May 25 11:58:44 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv546

Modified Files:
      Tag: v060aexp2
	itifgInt.h 
Log Message:
the close/mmap/unmap functions have no longer base and size arguments

----------------------------------------------------------------------
matthias  Thu May 25 12:00:05 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv564

Modified Files:
      Tag: v060aexp2
	itifgMain.c 
Log Message:
the page allocation/deallocation functions are now os-independent (in general)

----------------------------------------------------------------------
matthias  Thu May 25 12:01:09 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv601

Modified Files:
      Tag: v060aexp2
	itifgOS.h 
Log Message:
the more independent decode/mmap/munmap functions need some new calls to
encapsulate the os

----------------------------------------------------------------------
matthias  Thu May 25 12:02:58 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv619

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
check_mem is replaced by virt_to_phys and the new on-time page locking
decode has moved to itifgAux
new page_lock/unlock/remap functions added

----------------------------------------------------------------------
matthias  Thu May 25 13:09:54 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv743

Modified Files:
      Tag: v060aexp2
	test_itifg.c 
Log Message:
mlock is no longer needed

----------------------------------------------------------------------
matthias  Thu May 25 13:10:40 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv754

Added Files:
      Tag: v060aexp2
	hitachi-kpf100-pcd.cam smd1m60-pcd.cam 
Log Message:
some new files added

----------------------------------------------------------------------
matthias  Thu May 25 13:11:18 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv766

Modified Files:
      Tag: v060aexp2
	RELNOTES 
Log Message:
0.6.0b relnotes included

----------------------------------------------------------------------
matthias  Thu May 25 13:11:39 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv774

Modified Files:
      Tag: v060aexp2
	INITD.itifg 
Log Message:
done and failed is at the same line

----------------------------------------------------------------------
matthias  Wed May 31 13:32:37 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2538

Modified Files:
      Tag: v060aexp2
	itifgIOP.c 
Log Message:
the copyin/copyout functions can return -EFAULT

----------------------------------------------------------------------
matthias  Wed May 31 13:33:26 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2553

Modified Files:
      Tag: v060aexp2
	itifgAux.c 
Log Message:
fix some noisy warning messages 

----------------------------------------------------------------------
matthias  Wed May 31 13:35:42 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2569

Modified Files:
      Tag: v060aexp2
	itifgMain.c 
Log Message:
no floating point stuff can be used into the irq handler!
add irq/timer function spinlock code for smp issues
fix the 'nobody is waiting' messages

----------------------------------------------------------------------
matthias  Wed May 31 13:36:35 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2587

Modified Files:
      Tag: v060aexp2
	itifgOS.h 
Log Message:
copyin/copyout return an error
the spinlock include file is needed

----------------------------------------------------------------------
matthias  Wed May 31 13:39:07 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2609

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
fix some ioctl copyin/out return values
we have up to 32 irq's at the x86 platform
make the virt_to_phys interface a little bit more clear

----------------------------------------------------------------------
matthias  Wed May 31 13:39:47 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2623

Modified Files:
      Tag: v060aexp2
	test_itifg.c 
Log Message:
fix some CopyImage depth errors

----------------------------------------------------------------------
matthias  Wed May 31 13:40:29 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv2634/cameras

Modified Files:
      Tag: v060aexp2
	cv-m1-20pll-pcv.cam 
Log Message:
the HOffset value was wrong (not aligned)

----------------------------------------------------------------------
matthias  Wed Jun 28 15:24:13 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv31386/cameras

Added Files:
      Tag: v060aexp2
	kodak-mega+es4.0-pcd.cam 
Log Message:
new config file for the kodak megaplus es4.0 (single channel readout)

----------------------------------------------------------------------
matthias  Wed Jun 28 15:29:15 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31424

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
add a section to support the driver at NetBSD systems (future plans)
add OPTIMIZE define to compile the driver also WITHOUT -O2

----------------------------------------------------------------------
matthias  Wed Jun 28 15:31:42 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31490

Modified Files:
      Tag: v060aexp2
	amvsReg.h amdigReg.h ampcvReg.h pcdigReg.h icpciReg.h 
	itifgReg.h 
Log Message:
add the __NetBSD__ AND _KERNEL ifdef to include also under NetBSD

----------------------------------------------------------------------
matthias  Wed Jun 28 15:34:56 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31525

Modified Files:
      Tag: v060aexp2
	swtrig_itifg.c extime_itifg.c ioport_itifg.c config_pcdig.c 
	test_itifg.c 
Log Message:
getopt.h must not be included under NetBSD
HZ is not defined under NetBSD
devname is alerady used under NetBSD (replace with dev_name)

----------------------------------------------------------------------
matthias  Wed Jun 28 15:36:12 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31546

Modified Files:
      Tag: v060aexp2
	convert.c procfs.c 
Log Message:
getopt.h is not needed
PAGE_SIZE is determined by getpagesize() under NetBSD

----------------------------------------------------------------------
matthias  Wed Jun 28 15:38:30 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31569

Modified Files:
      Tag: v060aexp2
	amdigReg.c ampcvReg.c pcdigReg.c 
Log Message:
the str* and mem* functions are also encapsulated by their iti_ equivalents
(avoid inlining when compiling without optimization)

----------------------------------------------------------------------
matthias  Wed Jun 28 15:39:24 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31603

Modified Files:
      Tag: v060aexp2
	itifg.de.4 
Log Message:
write some more pages of documentation

----------------------------------------------------------------------
matthias  Wed Jun 28 15:44:59 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31688

Modified Files:
      Tag: v060aexp2
	itifgAM.c itifgAux.c itifgBuf.c itifgIOP.c itifgIoctl.c 
	itifgMain.c 
Log Message:
add a '0x' to %p printf staatements
replace the str* and mem* functions by their iti_ equivalents (!-O2)
fix the MODULE defines (MODULE_ID) in itifgAM.c

----------------------------------------------------------------------
matthias  Wed Jun 28 15:45:59 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31726

Modified Files:
      Tag: v060aexp2
	itifgExt.h 
Log Message:
fix HZ/ioctl defines and include some headers under NetBSD

----------------------------------------------------------------------
matthias  Wed Jun 28 15:46:28 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31737

Modified Files:
      Tag: v060aexp2
	itifgInt.h 
Log Message:

----------------------------------------------------------------------
matthias  Wed Jun 28 15:48:11 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31762

Modified Files:
      Tag: v060aexp2
	itifgOS.h 
Log Message:
add NetBSD code to every section
use the optimize define to decide weather a function is inline or not

----------------------------------------------------------------------
matthias  Wed Jun 28 15:49:00 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31770

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
fix the %p and str*/mem* things
add the equivalents to the inline functions, if compiling without -O2

----------------------------------------------------------------------
matthias  Wed Jun 28 15:49:27 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv31781

Modified Files:
      Tag: v060aexp2
	osTemplate.c 
Log Message:
minor changes

----------------------------------------------------------------------
matthias  Thu Aug  3 17:02:46 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv436/cameras

Added Files:
      Tag: v060aexp2
	duncantech-ms2151-pcd.cam 
Log Message:
new config file for a duncantech color camera

----------------------------------------------------------------------
matthias  Thu Aug  3 17:08:25 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv774

Modified Files:
      Tag: v060aexp2
	Makefile itifgOS.h osLinux2X.c 
Log Message:
replace -DOPTIMIZE by -D__OPTIMIZE__

----------------------------------------------------------------------
matthias  Thu Aug  3 17:33:56 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv951

Modified Files:
      Tag: v060aexp2
	itifgBuf.c pcdigReg.c 
Log Message:
make first adjustments for multitapped cameras

----------------------------------------------------------------------
matthias  Fri Aug  4 14:53:15 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10179

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
add cross compile and multiplattform support
rearrange the flags structure

----------------------------------------------------------------------
matthias  Fri Aug  4 14:53:53 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10193

Modified Files:
      Tag: v060aexp2
	config.l 
Log Message:
include string.h, not strings.h

----------------------------------------------------------------------
matthias  Fri Aug  4 14:54:24 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10207

Modified Files:
      Tag: v060aexp2
	convert.c 
Log Message:
remove unused locals

----------------------------------------------------------------------
matthias  Fri Aug  4 14:54:58 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10221

Modified Files:
      Tag: v060aexp2
	procfs.c 
Log Message:
remove unused locals

----------------------------------------------------------------------
matthias  Fri Aug  4 14:55:44 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10251

Modified Files:
      Tag: v060aexp2
	itifgIoctl.c 
Log Message:


----------------------------------------------------------------------
matthias  Fri Aug  4 14:56:34 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10269

Modified Files:
      Tag: v060aexp2
	itifgBuf.c itifgIOP.c 
Log Message:
size_t is printed via SIZE_F

----------------------------------------------------------------------
matthias  Fri Aug  4 14:57:33 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10283

Modified Files:
      Tag: v060aexp2
	itifgExt.h 
Log Message:
if the ioctl argument iti_lut16_t, code it with void* 

----------------------------------------------------------------------
matthias  Fri Aug  4 14:59:01 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10301

Modified Files:
      Tag: v060aexp2
	itifgOS.h 
Log Message:
make platform depend adjustements
spinlock is only used under 2.2
introduce SIZE_F to print size_t 

----------------------------------------------------------------------
matthias  Fri Aug  4 15:00:05 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10312

Modified Files:
      Tag: v060aexp2
	itifgMain.c 
Log Message:
use SIZE_F instead of printing directly
encapsulate spin_lock os independly

----------------------------------------------------------------------
matthias  Fri Aug  4 15:01:21 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10352

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
make the driver also usable under 2.2.0
make adjustements to clear_page / memset_io
add the spinlock functions

----------------------------------------------------------------------
matthias  Fri Aug  4 15:51:23 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10939

Modified Files:
      Tag: v060aexp2
	itifgOS.h osLinux2X.c 
Log Message:
change some things for 2.4, mainly proc entries and wait queues

----------------------------------------------------------------------
matthias  Thu Sep 28 13:23:37 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv792

Modified Files:
      Tag: v060aexp2
	ioport_itifg.c 
Log Message:
change a wrong command line swizch from s to t

----------------------------------------------------------------------
matthias  Thu Sep 28 13:29:42 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv902/cameras

Added Files:
      Tag: v060aexp2
	jai-cv-m4-pcd.cam 
Log Message:


----------------------------------------------------------------------
matthias  Thu Sep 28 13:30:05 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv919

Modified Files:
      Tag: v060aexp2
	config.h 
Log Message:
correct a spelling error

----------------------------------------------------------------------
matthias  Thu Sep 28 13:41:49 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv987

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
the I and LFLAGS are now on one line
add a path to the X include files
-mcpu=i686 is not supported by 2.7.2

----------------------------------------------------------------------
matthias  Thu Sep 28 13:42:23 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1002

Added Files:
      Tag: v060aexp2
	osNetBSD14.c 
Log Message:
some code for the bsd freeks

----------------------------------------------------------------------
matthias  Thu Sep 28 13:45:24 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1065

Modified Files:
      Tag: v060aexp2
	itifgOS.h 
Log Message:
fix some bsd things
add a dev_t typedef

----------------------------------------------------------------------
matthias  Thu Sep 28 13:46:10 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1076

Modified Files:
      Tag: v060aexp2
	itifgMain.c itifgIoctl.c itifgIOP.c 
Log Message:
the inode is not needed, the dev number is needed

----------------------------------------------------------------------
matthias  Thu Sep 28 13:46:59 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1090

Modified Files:
      Tag: v060aexp2
	itifgInt.h 
Log Message:
fix the inode to dev prototypes
add the probe/attach stuff

----------------------------------------------------------------------
matthias  Thu Sep 28 13:48:00 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1108

Modified Files:
      Tag: v060aexp2
	itifgAux.c 
Log Message:
fix inode to dev in decode_devno
take care of the probe/attach changes

----------------------------------------------------------------------
matthias  Thu Sep 28 13:49:22 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1128

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
change the probe/attach things
take care of the inode/dev interface changes

----------------------------------------------------------------------
matthias  Thu Sep 28 13:54:04 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv1153

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
make the dev structure global and static 

----------------------------------------------------------------------
matthias  Thu Sep 28 14:48:53 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2263

Modified Files:
      Tag: v060aexp2
	config_pcdig.c extime_itifg.c ioport_itifg.c swtrig_itifg.c 
	test_itifg.c 
Log Message:
the device name is builded dynamically
snprintf is used for sprintf

----------------------------------------------------------------------
matthias  Thu Sep 28 14:49:36 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2277

Modified Files:
      Tag: v060aexp2
	itifgExt.h 
Log Message:
the MAX number of boards has increased to 8
add some device name defines

----------------------------------------------------------------------
matthias  Thu Sep 28 14:50:25 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv2291

Modified Files:
      Tag: v060aexp2
	icpciReg.h itifgReg.h 
Log Message:
the xcr handler define has moved to the right place

----------------------------------------------------------------------
matthias  Wed Oct 11 13:35:43 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4142

Removed Files:
      Tag: v060aexp2
	osTemplate.c 
Log Message:
no longer needed

----------------------------------------------------------------------
matthias  Wed Oct 11 13:36:27 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4154

Removed Files:
      Tag: v060aexp2
	itifgInt.h 
Log Message:
replaced by IntD.h (Data) and IntF.h (Functions)

----------------------------------------------------------------------
matthias  Wed Oct 11 13:37:13 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4169

Modified Files:
      Tag: v060aexp2
	config.h 
Log Message:
also the enums are converted to the new offsetof scheme

----------------------------------------------------------------------
matthias  Wed Oct 11 13:41:13 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4214

Modified Files:
      Tag: v060aexp2
	config.y 
Log Message:
adjust enum handling to new offsetof interface
test_config is no longer supported

----------------------------------------------------------------------
matthias  Wed Oct 11 13:41:46 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv4228/release

Modified Files:
      Tag: v060aexp2
	MAKEDEV.itifg 
Log Message:
adjust to support up to 8 boards

----------------------------------------------------------------------
matthias  Wed Oct 11 13:42:28 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4246

Modified Files:
      Tag: v060aexp2
	test_itifg.c 
Log Message:
remove test_config stuff
replace BUFFERS_MAX by SNAPS_MAX

----------------------------------------------------------------------
matthias  Wed Oct 11 13:43:03 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4260

Modified Files:
      Tag: v060aexp2
	config_pcdig.c 
Log Message:
the deice name was not builded properly

----------------------------------------------------------------------
matthias  Wed Oct 11 13:43:45 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4274

Modified Files:
      Tag: v060aexp2
	extime_itifg.c 
Log Message:
fix the CAMMD_MIN and CAMMD_MAX defines

----------------------------------------------------------------------
matthias  Wed Oct 11 13:45:58 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4324

Modified Files:
      Tag: v060aexp2
	amvsReg.h amdigReg.h ampcvReg.h itifgReg.h icpciReg.h 
	pcdigReg.h 
Added Files:
      Tag: v060aexp2
	itifgIntF.h 
Log Message:
the module function definitions are now in itifgIntF.h due to the itifg_t
definitions

----------------------------------------------------------------------
matthias  Wed Oct 11 13:46:35 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4338

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
warn, if no .config is in the kernel source tree

----------------------------------------------------------------------
matthias  Wed Oct 11 13:49:13 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4360

Modified Files:
      Tag: v060aexp2
	amvsReg.c amdigReg.c ampcvReg.c itifgReg.c icpciReg.c 
	pcdigReg.c 
Log Message:
the first arg to the functions is now the pointer to the global structure,
not the board index

----------------------------------------------------------------------
matthias  Wed Oct 11 13:50:45 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4384

Modified Files:
      Tag: v060aexp2
	itifgOS.h 
Log Message:
the struct iovec_t dies
the debugging macros display not the board offset
itifg_t adjustments

----------------------------------------------------------------------
matthias  Wed Oct 11 13:52:08 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4402

Modified Files:
      Tag: v060aexp2
	itifgExt.h 
Log Message:
the struct pcd_cam_t only uses basic type defines (u_char ...)
SNAPS_MAX is now 8, BOARDS_MAX also ans SIZE_MAX is 8Mb

----------------------------------------------------------------------
matthias  Wed Oct 11 13:53:58 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4434

Modified Files:
      Tag: v060aexp2
	itifgIOP.c itifgAux.c itifgIoctl.c 
Log Message:
global structure and board->iti adjustments

----------------------------------------------------------------------
matthias  Wed Oct 11 13:54:29 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4448

Modified Files:
      Tag: v060aexp2
	itifgAM.c 
Log Message:
global structure and board->iti adjustments

----------------------------------------------------------------------
matthias  Wed Oct 11 13:55:35 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4466

Modified Files:
      Tag: v060aexp2
	itifgBuf.c 
Log Message:
the sglist members have no size arguments
sglist is a array of SNAP_MAX/SGLIST_SIZE

----------------------------------------------------------------------
matthias  Wed Oct 11 13:56:39 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4480

Added Files:
      Tag: v060aexp2
	itifgIntD.h 
Log Message:
now we have on big global structure (its easier)
it is allocated once, only the sglist is allocated seperately (also unpaged)

----------------------------------------------------------------------
matthias  Wed Oct 11 13:57:50 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4498

Modified Files:
      Tag: v060aexp2
	itifgMain.c 
Log Message:
the irq, timeout and task_queue handlers have only the itifg_t* arg
new smp locking / irq disableing

----------------------------------------------------------------------
matthias  Wed Oct 11 14:01:20 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4541

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
the interrupt is requested by a per board basis with the iti pointer
revive irqon/splhigh/spin_lock functions

----------------------------------------------------------------------
matthias  Wed Oct 11 14:01:51 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv4555

Modified Files:
      Tag: v060aexp2
	osNetBSD14.c 
Log Message:
global structure and board->iti adjustments

----------------------------------------------------------------------
matthias  Thu Oct 12 14:17:15 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8918

Added Files:
      Tag: v060aexp2
	adimec-mx12p.cam dalsa-cad4_1024a-free.cam 
	dalsa-cad4_1024a-trig.cam dalsa-clc5_2048a-1kn.cam 
	dalsa-clc5_2048a-1kw.cam dalsa-clc5_2048a-4kn.cam 
	dalsa-clc5_2048a-4kw.cam dalsa-clc5_2048a-8kn.cam 
	dalsa-clc5_2048a-8kw.cam dalsa-clp1_4096w-pcd.cam 
	dalsa-sp11_02k40--pcd.cam hama-c4742-10bpp.cam 
	hama-c4742-10bpp-pcd.cam hama-c4742-10to8.cam 
	hama-c4742-10to8-pcd.cam hama-c4742-12bpp.cam 
	hama-c4742-12bpp-pcd.cam hama-c4742-12to8.cam 
	hama-c4742-12to8-pcd.cam jai-cv_m10-fr.cam jai-cv_m10-il.cam 
	jai-cv_m10-ni.cam jai-cv_m10-ni-pcv.cam jai-cv_m10-tr.cam 
	jai-cv_m10-vs.cam jai-cv_m1-20pll-pcv.cam jai-cv_m1-vs-pcv.cam 
	jai-cv_m4-pcd.cam jai-cv_m50-ccir.cam kodak-mega+14.cam 
	kodak-mega+63i-.cam kodak-mega+es40-pcd.cam smd-1m60-pcd.cam 
	smd-6m3p.cam sony-xc75ce-ccir.cam sony-xc75ce-ccir-pcv.cam 
	sony-xc75ce-trig.cam sony-xc75-rs170.cam 
	sony-xc75-rs170-pcv.cam vendor-model-feature-board.cam 
	hama-c4742-init.sh 
Log Message:
the naming scheme is now vendor-model-feature-board

----------------------------------------------------------------------
matthias  Thu Oct 12 14:19:56 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv8945

Removed Files:
      Tag: v060aexp2
	c4742-95-10bpp-pcd.cam c4742-95-10bpp.cam 
	c4742-95-10to8-pcd.cam c4742-95-10to8.cam 
	c4742-95-12bpp-pcd.cam c4742-95-12bpp.cam 
	c4742-95-12to8-pcd.cam c4742-95-12to8.cam c4742-95-init.sh 
	cad4-1024a-free.cam cad4-1024a-trg.cam clc5-2048a-1kn.cam 
	clc5-2048a-1kw.cam clc5-2048a-4kn.cam clc5-2048a-4kw.cam 
	clc5-2048a-8kn.cam clc5-2048a-8kw.cam clp1-4096w-pcd.cam 
	cv-m1-20pll-pcv.cam cv-m1-vs-pcv.cam cv-m10-fr.cam 
	cv-m10-il.cam cv-m10-ni-pcv.cam cv-m10-ni.cam cv-m10-tr.cam 
	cv-m10-vs.cam cv-m50.cam jai-cv-m4-pcd.cam 
	kodak-mega+es4.0-pcd.cam mega+14.cam mega+63i.cam 
	mx12p_8123.cam smd1m60-pcd.cam smd6m3p.cam sp-11-02k40-pcd.cam 
	xc75-ce-pcv.cam xc75-ce-trg.cam xc75-ce.cam xc75-rs-pcv.cam 
	xc75-rs.cam 
Log Message:
renamed

----------------------------------------------------------------------
matthias  Thu Oct 12 14:50:23 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9610

Added Files:
      Tag: v060aexp2
	iticonfig.h iticonfig.l iticonfig.y 
Removed Files:
      Tag: v060aexp2
	config.h config.l config.y 
Log Message:
renamed to avoid naming problems under /usr/local/include-lib

----------------------------------------------------------------------
matthias  Thu Oct 12 14:51:09 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv9624/release

Modified Files:
      Tag: v060aexp2
	INITD.itifg 
Log Message:
try to unload the debug module, if the normal is not loaded

----------------------------------------------------------------------
matthias  Thu Oct 12 14:52:10 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv9642

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
rename config to iticonfig (avoid naming clashes)

----------------------------------------------------------------------
matthias  Thu Oct 12 15:39:28 CEST 2000

Update of /icpci/icpci/cameras
In directory bilbo:/tmp/cvs-serv10527

Modified Files:
      Tag: v060aexp2
	dalsa-clp1_4096w-pcd.cam dalsa-sp11_02k40--pcd.cam 
	duncantech-ms2151-pcd.cam hama-c4742-10bpp-pcd.cam 
	hama-c4742-10to8-pcd.cam hama-c4742-12bpp-pcd.cam 
	hama-c4742-12to8-pcd.cam hitachi-kpf100-pcd.cam 
	jai-cv_m4-pcd.cam kodak-mega+es40-pcd.cam smd-1m60-pcd.cam 
Log Message:
enable and set the IMAGE_GEOMETRY enum

----------------------------------------------------------------------
matthias  Thu Oct 12 15:53:47 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10590

Modified Files:
      Tag: v060aexp2
	amvsReg.h amdigReg.h ampcvReg.h itifgReg.h icpciReg.h 
Log Message:
make it fit for the usage in c++ programs

----------------------------------------------------------------------
matthias  Thu Oct 12 15:55:15 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10625

Modified Files:
      Tag: v060aexp2
	config_pcdig.c convert.c extime_itifg.c procfs.c 
Log Message:
rename include to iticonfig.h

----------------------------------------------------------------------
matthias  Thu Oct 12 15:56:34 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10648

Modified Files:
      Tag: v060aexp2
	iticonfig.h itifgBuf.c 
Log Message:
add support for different geometry types

----------------------------------------------------------------------
matthias  Thu Oct 12 15:57:16 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10665

Modified Files:
      Tag: v060aexp2
	itifgExt.h itifgIoctl.c 
Log Message:
horizontal and vertical decimation is set seperately

----------------------------------------------------------------------
matthias  Thu Oct 12 15:57:47 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10679

Modified Files:
      Tag: v060aexp2
	itifgIntD.h 
Log Message:


----------------------------------------------------------------------
matthias  Thu Oct 12 15:58:15 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10693

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
add some module information
print the debugging level

----------------------------------------------------------------------
matthias  Thu Oct 12 15:58:46 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10707

Modified Files:
      Tag: v060aexp2
	pcdigReg.h 
Log Message:
add the geometry types

----------------------------------------------------------------------
matthias  Thu Oct 12 15:59:24 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10718

Modified Files:
      Tag: v060aexp2
	test_itifg.c 
Log Message:
add some support for 24/32 bit src and dst depth'

----------------------------------------------------------------------
matthias  Thu Oct 12 16:07:07 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11024

Added Files:
      Tag: v060aexp2
	itifg-0.7.1.lsm 
Removed Files:
      Tag: v060aexp2
	itifg-0.7.0.lsm 
Log Message:
renamed and updated

----------------------------------------------------------------------
matthias  Thu Oct 12 16:07:29 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11032

Modified Files:
      Tag: v060aexp2
	README 
Log Message:
fix some camera config file names

----------------------------------------------------------------------
matthias  Thu Oct 12 16:09:57 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11046

Modified Files:
      Tag: v060aexp2
	itifgMain.c itifgAux.c 
Log Message:
increment the version number and move it to itifgMain.c

----------------------------------------------------------------------
matthias  Thu Oct 12 16:10:50 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11059

Modified Files:
      Tag: v060aexp2
	itifgBuf.c 
Log Message:


----------------------------------------------------------------------
matthias  Thu Oct 12 16:23:45 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11121

Modified Files:
      Tag: v060aexp2
	Makefile amdigReg.c amdigReg.h ampcvReg.c ampcvReg.h amvsReg.c 
	config_pcdig.c convert.c extime_itifg.c icpciReg.c icpciReg.h 
	ioport_itifg.c iticonfig.h iticonfig.l iticonfig.y itifg.de.4 
	itifg.us.4 itifgAM.c itifgAux.c itifgBuf.c itifgExt.h 
	itifgIOP.c itifgIntD.h itifgIoctl.c itifgMain.c itifgOS.h 
	itifgReg.c itifgReg.h osLinux2X.c osNetBSD14.c pcdigReg.c 
	pcdigReg.h procfs.c swtrig_itifg.c test_itifg.c 
	test_itifg.de.1 
Log Message:
extend the copyright till 2000

----------------------------------------------------------------------
matthias  Thu Oct 12 16:23:45 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv11121/release

Modified Files:
      Tag: v060aexp2
	INITD.itifg MAKEDEV.itifg 
Log Message:
extend the copyright till 2000

----------------------------------------------------------------------
matthias  Thu Oct 12 17:01:10 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv11578

Modified Files:
      Tag: v060aexp2
	itifgIntD.h itifgMain.c osLinux2X.c test_itifg.c 
Log Message:
support also mlocked read buffer behavior

----------------------------------------------------------------------
matthias  Tue Oct 24 11:22:39 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10040

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
revise the manual rules

----------------------------------------------------------------------
matthias  Tue Oct 24 11:23:22 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10057

Modified Files:
      Tag: v060aexp2
	amdigReg.c amvsReg.c 
Log Message:
add prototypes for the low level handlers

----------------------------------------------------------------------
matthias  Tue Oct 24 11:24:08 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10080

Modified Files:
      Tag: v060aexp2
	extime_itifg.c swtrig_itifg.c ioport_itifg.c 
Log Message:
fix the usage output

----------------------------------------------------------------------
matthias  Tue Oct 24 11:24:58 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10091

Added Files:
      Tag: v060aexp2
	test_itifg.us.1 itifg_ioctl.de.4 itifg_ioctl.us.4 
Log Message:
introduce some new documentation files

----------------------------------------------------------------------
matthias  Tue Oct 24 11:25:18 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10102

Modified Files:
      Tag: v060aexp2
	test_itifg.de.1 
Log Message:
adjust to new release

----------------------------------------------------------------------
matthias  Tue Oct 24 11:26:00 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10116

Modified Files:
      Tag: v060aexp2
	pcdigReg.c 
Log Message:
add some prototypes for local functions

----------------------------------------------------------------------
matthias  Tue Oct 24 11:27:01 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10136

Modified Files:
      Tag: v060aexp2
	itifgReg.c icpciReg.c 
Log Message:
add prototypes
fix the bma_stop from ms to mm access

----------------------------------------------------------------------
matthias  Tue Oct 24 11:27:48 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv10147

Added Files:
      Tag: v060aexp2
	CONFIG files.itifg 
Log Message:
netbsd kernel config files added

----------------------------------------------------------------------
matthias  Tue Oct 24 11:28:58 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10168

Modified Files:
      Tag: v060aexp2
	itifgOS.h 
Log Message:
add netbsd debugging output functions
remove the ptrdiff_t stddef.h

----------------------------------------------------------------------
matthias  Tue Oct 24 11:30:42 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10183

Modified Files:
      Tag: v060aexp2
	itifgReg.h 
Log Message:
the bmareq_masks are no longer needed (mm vs ms access)

----------------------------------------------------------------------
matthias  Tue Oct 24 11:31:33 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10225

Modified Files:
      Tag: v060aexp2
	itifg.de.4 
Log Message:
add missing parts from 0.6 

----------------------------------------------------------------------
matthias  Tue Oct 24 11:32:24 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10239

Modified Files:
      Tag: v060aexp2
	itifgAux.c 
Log Message:
remove the ptrdiff_t parts
os_map init needs also the void*

----------------------------------------------------------------------
matthias  Tue Oct 24 11:33:02 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10253

Modified Files:
      Tag: v060aexp2
	itifgMain.c 
Log Message:
fix some void* arithmetic to caddr_t

----------------------------------------------------------------------
matthias  Tue Oct 24 11:33:57 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10267

Modified Files:
      Tag: v060aexp2
	osLinux2X.c 
Log Message:
fix os_map_init (new void* arg)
virt_to_phys have to return -EFAULT!

----------------------------------------------------------------------
matthias  Tue Oct 24 11:34:33 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10285

Modified Files:
      Tag: v060aexp2
	osNetBSD14.c 
Log Message:
more adjustments to 0.7.1

----------------------------------------------------------------------
matthias  Tue Oct 24 11:35:11 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10299

Modified Files:
      Tag: v060aexp2
	itifgIntF.h 
Log Message:
fix some prototype spelling problems

----------------------------------------------------------------------
matthias  Tue Oct 24 11:35:55 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10313

Modified Files:
      Tag: v060aexp2
	itifgIntD.h 
Log Message:
adjust prtotypes (os_map_init/map_init)

----------------------------------------------------------------------
matthias  Tue Oct 24 11:37:09 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10324

Modified Files:
      Tag: v060aexp2
	itifgExt.h 
Log Message:
extend the trigger waiting time to 10s

----------------------------------------------------------------------
matthias  Tue Oct 24 11:40:05 CEST 2000

Update of /icpci/icpci/release
In directory bilbo:/tmp/cvs-serv10346

Modified Files:
      Tag: v060aexp2
	INITD.itifg 
Log Message:
the done/failed can also be at the next line

----------------------------------------------------------------------
matthias  Tue Oct 24 11:40:35 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10360

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
fix some uninstall stuff

----------------------------------------------------------------------
matthias  Tue Oct 24 11:42:28 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10382

Modified Files:
      Tag: v060aexp2
	itifgBuf.c 
Log Message:
don't initiate a transfer, if started isn't set
the 1CHAN_L2R have to work in EVERY case

----------------------------------------------------------------------
matthias  Tue Oct 24 11:45:31 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv10397

Modified Files:
      Tag: v060aexp2
	itifgMain.c 
Log Message:
don't call bma_stop during the timeout handler!
use locks also with the task_queue; call clear after setting the mode

----------------------------------------------------------------------
matthias  Wed Oct 25 08:23:09 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv13073

Modified Files:
      Tag: v060aexp2
	itifgMain.c 
Log Message:
also don't call bma_stop in close

----------------------------------------------------------------------
matthias  Wed Oct 25 08:50:51 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv13600

Modified Files:
      Tag: v060aexp2
	itifgExt.h itifgIntD.h itifgIoctl.c 
Log Message:
add Toralfs TMODE/FCNT patches

----------------------------------------------------------------------
matthias  Wed Oct 25 08:58:50 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv13644

Modified Files:
      Tag: v060aexp2
	Makefile 
Log Message:
fix the installation of the manual pages

----------------------------------------------------------------------
matthias  Wed Oct 25 08:58:59 CEST 2000

Update of /icpci/icpci
In directory bilbo:/tmp/cvs-serv13653

Modified Files:
      Tag: v060aexp2
	test_itifg.c 
Log Message:


----------------------------------------------------------------------
cvs  Wed Nov 29 15:58:08 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12139

Modified Files:
      Tag: v070pl
	Makefile 
Log Message:
remove the ChangeLog copy in the release section

----------------------------------------------------------------------
cvs  Wed Nov 29 15:58:30 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12149

Modified Files:
      Tag: v070pl
	ioport_itifg.c 
Log Message:
support also a outport write mode

----------------------------------------------------------------------
cvs  Wed Nov 29 15:59:14 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12160

Modified Files:
      Tag: v070pl
	iticonfig.y 
Log Message:
into the pcdig section we shloud use pcd_cam->

----------------------------------------------------------------------
cvs  Wed Nov 29 16:00:02 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12170

Modified Files:
      Tag: v070pl
	itifgAM.c 
Log Message:
add the default geometry to the pcdig def. camera structure

----------------------------------------------------------------------
cvs  Wed Nov 29 16:00:36 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12213

Modified Files:
      Tag: v070pl
	itifgBuf.c 
Log Message:
fix the octstart calculation for other the 64k blocks

----------------------------------------------------------------------
cvs  Wed Nov 29 16:01:19 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12226

Modified Files:
      Tag: v070pl
	itifgExt.h 
Log Message:
shorten the ext. trigger waiting time again to 5s

----------------------------------------------------------------------
cvs  Wed Nov 29 16:02:10 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12236

Modified Files:
      Tag: v070pl
	itifgIoctl.c 
Log Message:
make some formatting

----------------------------------------------------------------------
cvs  Wed Nov 29 16:02:59 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12246

Modified Files:
      Tag: v070pl
	osLinux2X.c 
Log Message:
when waiting for io-ports, than we should test also it's structures

----------------------------------------------------------------------
cvs  Wed Nov 29 16:03:46 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12256

Modified Files:
      Tag: v070pl
	test_itifg.de.1 test_itifg.us.1 
Log Message:
german test_itifg manual is ready, english in skeleton

----------------------------------------------------------------------
cvs  Wed Nov 29 16:04:07 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12266

Modified Files:
      Tag: v070pl
	test_itifg.c 
Log Message:
fix the usage output

----------------------------------------------------------------------
cvs  Wed Nov 29 16:04:35 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12276

Modified Files:
      Tag: v070pl
	osNetBSD14.c 
Log Message:
fix things like memcpy, copyin...

----------------------------------------------------------------------
cvs  Wed Nov 29 16:05:25 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv12288

Modified Files:
      Tag: v070pl
	itifgOS.h 
Log Message:
fix netbsd delay memset, memcpy, strcmp, strcpy, copyin, copyout

----------------------------------------------------------------------
cvs  Fri Dec  1 13:37:33 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv21625

Modified Files:
      Tag: v070pl
	itifg_ioctl.de.4 itifg_ioctl.us.4 test_itifg.de.1 
Log Message:
update the documentation again

----------------------------------------------------------------------
cvs  Fri Dec  1 13:38:05 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv21634

Modified Files:
      Tag: v070pl
	itifg.us.4 
Log Message:
ioctl part moved to itifg_ioctl.us.4

----------------------------------------------------------------------
cvs  Fri Dec  1 14:07:08 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv21869

Modified Files:
      Tag: v070pl
	itifg.de.4 
Log Message:
check for correct mandoc macros

----------------------------------------------------------------------
cvs  Mon Dec  4 15:56:07 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv2783

Modified Files:
      Tag: v070pl
	iticonfig.l iticonfig.y iticonfig.h 
Log Message:
fix the geometry setting bug (remove ignore line in config.l and fix for
int* in config.y)
adjust the 1m60 config file

----------------------------------------------------------------------
cvs  Mon Dec  4 15:56:08 CET 2000

Update of /icpci/icpci/cameras
In directory zeppelin:/tmp/cvs-serv2783/cameras

Modified Files:
      Tag: v070pl
	smd-1m60-pcd.cam 
Log Message:
fix the geometry setting bug (remove ignore line in config.l and fix for
int* in config.y)
adjust the 1m60 config file

----------------------------------------------------------------------
cvs  Mon Dec 11 11:51:39 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv17622

Modified Files:
      Tag: v070pl
	Makefile 
Log Message:
build the os dependent file at first (get a readable message, if forgot to
run make config)

----------------------------------------------------------------------
cvs  Mon Dec 18 14:21:42 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv31234

Modified Files:
      Tag: v070pl
	Makefile 
Log Message:
fix the release section (ChangeLog)

----------------------------------------------------------------------
cvs  Mon Dec 18 14:22:07 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv31256

Modified Files:
      Tag: v070pl
	itifg.de.4 
Log Message:
fix some spellings

----------------------------------------------------------------------
cvs  Mon Dec 18 14:23:10 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv31266

Modified Files:
      Tag: v070pl
	itifg.us.4 
Log Message:
generate the page skeleton according to the german one

----------------------------------------------------------------------
cvs  Mon Dec 18 14:23:38 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv31282

Modified Files:
      Tag: v070pl
	itifgExt.h 
Log Message:
fix the non_os ioctl numbers

----------------------------------------------------------------------
cvs  Mon Dec 18 14:24:17 CET 2000

Update of /icpci/icpci
In directory zeppelin:/tmp/cvs-serv31292

Modified Files:
      Tag: v070pl
	itifgOS.h 
Log Message:
add the dev_t and size_t defines to the non_os typedef section

----------------------------------------------------------------------
cvs  Mon Dec 18 14:24:42 CET 2000

Update of /icpci/icpci/release
In directory zeppelin:/tmp/cvs-serv31304/release

Modified Files:
      Tag: v070pl
	README 
Log Message:
add a hint to the mailinglist archive

----------------------------------------------------------------------
cvs  Mon Dec 18 14:25:25 CET 2000

Update of /icpci/icpci/release
In directory zeppelin:/tmp/cvs-serv31312/release

Modified Files:
      Tag: v070pl
	RELNOTES 
Log Message:
add the 070beta release mail
add a 0.7.1 news section

----------------------------------------------------------------------
cvs  Mon Dec 18 14:25:43 CET 2000

Update of /icpci/icpci/release
In directory zeppelin:/tmp/cvs-serv31319/release

Modified Files:
      Tag: v070pl
	itifg-0.7.1.lsm 
Log Message:
adjust the date

